SystemOrganization addCategory: #'JQuery-Tests-UI-Functional'!
SystemOrganization addCategory: #'JQuery-Tests-UI-Unit'!

JQueryTest subclass: #JQueryUiTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

JQueryUiTest subclass: #JQAccordionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

!JQAccordionTest methodsFor: 'tests' stamp: 'lr 11/28/2008 17:50'!
testActions
	self
		assert: ((self jQuery: 'img') accordion activate: 3)
		equals: self function , '("img").accordion("activate",3)'! !

JQueryUiTest subclass: #JQAutocompleterTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

!JQAutocompleterTest methodsFor: 'tests' stamp: 'lr 1/28/2010 17:19'!
testActions
	self
		assert: ((self jQuery: 'input') autocomplete close)
		equals: self function , '("input").autocomplete("close")'.
	self
		assert: ((self jQuery: 'input') autocomplete search: 'something')
		equals: self function , '("input").autocomplete("search","something")'! !

JQueryUiTest subclass: #JQButtonTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

!JQButtonTest methodsFor: 'tests' stamp: 'lr 4/15/2010 20:29'!
testIcons
	self
		assert: ((self jQuery: 'input') button primaryIcon: 'foo')
		equals: self function , '("input").button({"icons":{"primary":"foo"}})'.
	self
		assert: ((self jQuery: 'input') button primaryIcon: 'foo'; secondaryIcon: 'bar')
		equals: self function , '("input").button({"icons":{"primary":"foo","secondary":"bar"}})'! !

!JQButtonTest methodsFor: 'tests' stamp: 'jvds 5/9/2011 14:53'!
testOptions
	self
		assert: ((self jQuery: 'input') button icons: Dictionary new)
		equals: self function , '("input").button({"icons":{}})'.
	self
		assert: ((self jQuery: 'input') button label: 'Hello')
		equals: self function , '("input").button({"label":"Hello"})'.
	self
		assert: ((self jQuery: 'input') button text: 'Something')
		equals: self function , '("input").button({"text":"Something"})'.
	self
		assert: ((self jQuery: 'input') button disabled: true)
		equals: self function , '("input").button({"disabled":true})'! !

JQueryUiTest subclass: #JQDatepickerTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

!JQDatepickerTest methodsFor: 'tests' stamp: 'lr 7/12/2009 21:59'!
testActions
	self
		assert: ((self jQuery: 'input') datepicker getDate)
		equals: self function , '("input").datepicker("getDate")'.
	self
		assert: ((self jQuery: 'input') datepicker hide)
		equals: self function , '("input").datepicker("hide")'.
	self
		assert: ((self jQuery: 'input') datepicker isDisabled)
		equals: self function , '("input").datepicker("isDisabled")'.
	self
		assert: ((self jQuery: 'input') datepicker setDate: (Date year: 2010 month: 6 day: 11))
		equals: self function , '("input").datepicker("setDate",new Date(2010,5,11))'.
	self
		assert: ((self jQuery: 'input') datepicker show)
		equals: self function , '("input").datepicker("show")'! !

JQueryUiTest subclass: #JQDialogTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

!JQDialogTest methodsFor: 'tests' stamp: 'lr 7/12/2009 21:59'!
testActions
	self
		assert: ((self jQuery: 'div') dialog close)
		equals: self function , '("div").dialog("close")'.
	self
		assert: ((self jQuery: 'div') dialog isOpen)
		equals: self function , '("div").dialog("isOpen")'.
	self
		assert: ((self jQuery: 'div') dialog moveToTop)
		equals: self function , '("div").dialog("moveToTop")'.
	self
		assert: ((self jQuery: 'div') dialog open)
		equals: self function , '("div").dialog("open")'! !

JQueryUiTest subclass: #JQDraggableTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

!JQDraggableTest methodsFor: 'tests' stamp: 'lr 4/15/2010 20:28'!
testEvents
	self
		assert: ((self jQuery: 'div') draggable onDrag: 1)
		equals: self function , '("div").draggable({"drag":function(){1}})'.
	self
		assert: ((self jQuery: 'div') draggable onStart: 2)
		equals: self function , '("div").draggable({"start":function(){2}})'.
	self
		assert: ((self jQuery: 'div') draggable onStop: 3)
		equals: self function , '("div").draggable({"stop":function(){3}})'! !

JQueryUiTest subclass: #JQDroppableTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

!JQDroppableTest methodsFor: 'tests' stamp: 'lr 4/15/2010 20:28'!
testEvents
	self
		assert: ((self jQuery: 'div') droppable onActivate: 1)
		equals: self function , '("div").droppable({"activate":function(){1}})'.
	self
		assert: ((self jQuery: 'div') droppable onDeactivate: 2)
		equals: self function , '("div").droppable({"deactivate":function(){2}})'.
	self
		assert: ((self jQuery: 'div') droppable onDrop: 3)
		equals: self function , '("div").droppable({"drop":function(){3}})'.
	self
		assert: ((self jQuery: 'div') droppable onOut: 4)
		equals: self function , '("div").droppable({"out":function(){4}})'.
	self
		assert: ((self jQuery: 'div') droppable onOver: 5)
		equals: self function , '("div").droppable({"over":function(){5}})'! !

JQueryUiTest subclass: #JQEffectTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

!JQEffectTest methodsFor: 'accessing' stamp: 'lr 12/17/2008 00:14'!
effect
	^ (self jQuery: 'div') effect! !

!JQEffectTest methodsFor: 'tests' stamp: 'lr 1/25/2010 22:07'!
testComplete
	self
		assert: (self effect hide; blind; onComplete: (self javascript alert: 'Done'))
		equals: self function , '("div").hide("blind",{},null,function(){alert("Done")})'.
	self
		assert: (self effect show; blind; normal; onComplete: (self javascript alert: 'Done'))
		equals: self function , '("div").show("blind",{},"normal",function(){alert("Done")})'.
! !

!JQEffectTest methodsFor: 'tests' stamp: 'lr 1/25/2010 22:07'!
testEffects
	self
		assert: self effect
		equals: self function , '("div").effect("highlight")'.
	self
		assert: self effect bounce
		equals: self function , '("div").effect("bounce")'.
	self
		assert: self effect highlight
		equals: self function , '("div").effect("highlight")'.
	self
		assert: self effect shake
		equals: self function , '("div").effect("shake")'.
	self
		assert: self effect size
		equals: self function , '("div").effect("size")'.
	self
		assert: self effect transfer
		equals: self function , '("div").effect("transfer")'! !

!JQEffectTest methodsFor: 'tests' stamp: 'lr 1/25/2010 22:07'!
testHide
	self
		assert: (self effect hide; blind)
		equals: self function , '("div").hide("blind")'.
	self
		assert: (self effect hide; clip)
		equals: self function , '("div").hide("clip")'.
	self
		assert: (self effect hide; drop)
		equals: self function , '("div").hide("drop")'.
	self
		assert: (self effect hide; explode)
		equals: self function , '("div").hide("explode")'.
	self
		assert: (self effect hide; fold)
		equals: self function , '("div").hide("fold")'.
	self
		assert: (self effect hide; puff)
		equals: self function , '("div").hide("puff")'.
	self
		assert: (self effect hide; pulsate)
		equals: self function , '("div").hide("pulsate")'.
	self
		assert: (self effect hide; scale)
		equals: self function , '("div").hide("scale")'.
	self
		assert: (self effect hide; slide)
		equals: self function , '("div").hide("slide")'! !

!JQEffectTest methodsFor: 'tests' stamp: 'lr 1/25/2010 22:07'!
testShow
	self
		assert: (self effect show; blind)
		equals: self function , '("div").show("blind")'.
	self
		assert: (self effect show; clip)
		equals: self function , '("div").show("clip")'.
	self
		assert: (self effect show; drop)
		equals: self function , '("div").show("drop")'.
	self
		assert: (self effect show; explode)
		equals: self function , '("div").show("explode")'.
	self
		assert: (self effect show; fold)
		equals: self function , '("div").show("fold")'.
	self
		assert: (self effect show; puff)
		equals: self function , '("div").show("puff")'.
	self
		assert: (self effect show; pulsate)
		equals: self function , '("div").show("pulsate")'.
	self
		assert: (self effect show; scale)
		equals: self function , '("div").show("scale")'.
	self
		assert: (self effect show; slide)
		equals: self function , '("div").show("slide")'! !

!JQEffectTest methodsFor: 'tests' stamp: 'lr 12/17/2008 00:22'!
testSpeed
	self
		assert: (self effect show; blind; speed: 2 seconds)
		equals: self function , '("div").show("blind",{},2000)'.
	self
		assert: (self effect show; blind; slow)
		equals: self function , '("div").show("blind",{},"slow")'.
	self
		assert: (self effect show; blind; normal)
		equals: self function , '("div").show("blind",{},"normal")'.
	self
		assert: (self effect show; blind; fast)
		equals: self function , '("div").show("blind",{},"fast")'! !

!JQEffectTest methodsFor: 'tests' stamp: 'lr 3/23/2010 20:41'!
testToggles
	self
		assert: (self effect toggle; blind)
		equals: self function , '("div").toggle("blind")'.
	self
		assert: (self effect toggle; clip)
		equals: self function , '("div").toggle("clip")'.
	self
		assert: (self effect toggle; drop)
		equals: self function , '("div").toggle("drop")'.
	self
		assert: (self effect toggle; explode)
		equals: self function , '("div").toggle("explode")'.
	self
		assert: (self effect toggle; fade)
		equals: self function , '("div").toggle("fade")'.
	self
		assert: (self effect toggle; fold)
		equals: self function , '("div").toggle("fold")'.
	self
		assert: (self effect toggle; puff)
		equals: self function , '("div").toggle("puff")'.
	self
		assert: (self effect toggle; pulsate)
		equals: self function , '("div").toggle("pulsate")'.
	self
		assert: (self effect toggle; scale)
		equals: self function , '("div").toggle("scale")'.
	self
		assert: (self effect toggle; slide)
		equals: self function , '("div").toggle("slide")'! !

JQueryUiTest subclass: #JQPositionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

!JQPositionTest methodsFor: 'tests' stamp: 'lr 4/15/2010 20:28'!
testOptions
	self
		assert: ((self jQuery: 'div') positioned at: 'right')
		equals: self function , '("div").position({"at":"right"})'.
	self
		assert: ((self jQuery: 'div') positioned bgiframe: false)
		equals: self function , '("div").position({"bgiframe":false})'.
	self
		assert: ((self jQuery: 'div') positioned collision: 'flip fit')
		equals: self function , '("div").position({"collision":"flip fit"})'.
	self
		assert: ((self jQuery: 'div') positioned my: 'top center')
		equals: self function , '("div").position({"my":"top center"})'.
	self
		assert: ((self jQuery: 'div') positioned of: '#id')
		equals: self function , '("div").position({"of":"#id"})'.
	self
		assert: ((self jQuery: 'div') positioned offset: '10 20')
		equals: self function , '("div").position({"offset":"10 20"})'! !

JQueryUiTest subclass: #JQProgressbarTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

!JQProgressbarTest methodsFor: 'tests' stamp: 'lr 7/12/2009 22:03'!
testActions
	self
		assert: ((self jQuery: 'div') progressbar getValue)
		equals: self function , '("div").progressbar("value")'.
	self
		assert: ((self jQuery: 'div') progressbar setValue: 4)
		equals: self function , '("div").progressbar("value",4)'! !

JQueryUiTest subclass: #JQResizableTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

!JQResizableTest methodsFor: 'tests' stamp: 'lr 11/28/2008 17:50'!
testActions
	self
		assert: ((self jQuery: 'img') resizable disable)
		equals: self function , '("img").resizable("disable")'.
	self
		assert: ((self jQuery: 'img') resizable enable)
		equals: self function , '("img").resizable("enable")'.
	self
		assert: ((self jQuery: 'img') resizable destroy)
		equals: self function , '("img").resizable("destroy")'
		! !

JQueryUiTest subclass: #JQSelectableTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

!JQSelectableTest methodsFor: 'tests' stamp: 'lr 7/12/2009 21:37'!
testActions
	self
		assert: ((self jQuery: 'ul') selectable refresh)
		equals: self function , '("ul").selectable("refresh")'! !

JQueryUiTest subclass: #JQSliderTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

!JQSliderTest methodsFor: 'tests' stamp: 'lr 7/12/2009 22:04'!
testActions
	self
		assert: ((self jQuery: 'span') slider setValue: 1)
		equals: self function , '("span").slider("value",1)'.
	self
		assert: ((self jQuery: 'span') slider setValue: 2 at: 3)
		equals: self function , '("span").slider("values",2,3)'.
	self
		assert: ((self jQuery: 'span') slider getValue)
		equals: self function , '("span").slider("value")'.
	self
		assert: ((self jQuery: 'span') slider getValueAt: 4)
		equals: self function , '("span").slider("values",4)'! !

!JQSliderTest methodsFor: 'tests' stamp: 'lr 4/15/2010 20:27'!
testOptions
	self
		assert: ((self jQuery: 'span') slider value: 0)
		equals: self function , '("span").slider({"value":0})'
! !

JQueryUiTest subclass: #JQSortableTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

!JQSortableTest methodsFor: 'tests' stamp: 'lr 7/12/2009 22:02'!
testActions
	self
		assert: ((self jQuery: 'ul') sortable cancel)
		equals: self function , '("ul").sortable("cancel")'.
	self
		assert: ((self jQuery: 'ul') sortable refresh)
		equals: self function , '("ul").sortable("refresh")'.
	self
		assert: ((self jQuery: 'ul') sortable refreshPositions)
		equals: self function , '("ul").sortable("refreshPositions")'! !

JQueryUiTest subclass: #JQTabsTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

!JQTabsTest methodsFor: 'tests' stamp: 'jf 2/5/2010 17:03'!
testActions
	self
		assert: ((self jQuery: 'ul') tabs add: '#foo' label: 'Foo')
		equals: self function , '("ul").tabs("add","#foo","Foo")'.
	self
		assert: ((self jQuery: 'ul') tabs add: '#foo' label: 'Foo' at: 1)
		equals: self function , '("ul").tabs("add","#foo","Foo",1)'.
	self
		assert: ((self jQuery: 'ul') tabs disable: 2)
		equals: self function , '("ul").tabs("disable",2)'.
	self
		assert: ((self jQuery: 'ul') tabs enable: 3)
		equals: self function , '("ul").tabs("enable",3)'.
	self
		assert: ((self jQuery: 'ul') tabs select: 4)
		equals: self function , '("ul").tabs("select",4)'.
	self
		assert: ((self jQuery: 'ul') tabs load: 5)
		equals: self function , '("ul").tabs("load",5)'.
	self
		assert: ((self jQuery: 'ul') tabs length)
		equals: self function , '("ul").tabs("length")'.
	self
		assert: ((self jQuery: 'ul') tabs rotate: 1 seconds)
		equals: self function , '("ul").tabs("rotate",1000)'.
	self
		assert: ((self jQuery: 'ul') tabs rotate: 1 seconds continuing: true)
		equals: self function , '("ul").tabs("rotate",1000,true)'! !

!JQueryUiTest class methodsFor: 'testing' stamp: 'lr 4/28/2009 19:40'!
isAbstract
	^ self name = #JQueryUiTest! !

!JQueryUiTest class methodsFor: 'accessing' stamp: 'lr 4/28/2009 19:40'!
packageNamesUnderTest
	^ #('JQuery-UI')! !

!GRPackage class methodsFor: '*jquery-tests-ui' stamp: 'lr 2/17/2010 16:16'!
jQueryTestsUI
	^ self new
		name: 'JQuery-Tests-UI';
		description: 'Functional and unit tests for the JQuery-UI package.';
		addDependency: 'JQuery-UI';
		addDependency: 'JQuery-Tests-Core';
		url: #seasideUrl;
		yourself! !

JQFunctionalTest subclass: #JQUiFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

JQUiFunctionalTest subclass: #JQAccordionFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQAccordionFunctionalTest methodsFor: 'rendering' stamp: 'lr 3/7/2009 13:58'!
renderContentOn: html
	html div
		script: html jQuery new accordion;
		with: [
			self berries keysAndValuesDo: [ :name :description |
				html div: [ html anchor: name ].
				html div: [ html paragraph: description ] ] ]! !

!JQAccordionFunctionalTest methodsFor: 'accessing' stamp: 'lr 10/29/2008 08:30'!
selectors
	^ #(renderContentOn:)! !

!JQAccordionFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/17/2008 09:38'!
title
	^ 'Accordion Widget'! !

!JQAccordionFunctionalTest methodsFor: 'accessing' stamp: 'lr 1/28/2010 18:12'!
url
	^ 'http://docs.jquery.com/UI/Accordion'! !

JQUiFunctionalTest subclass: #JQAutocompleteFunctionalTest
	instanceVariableNames: 'packages'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQAutocompleteFunctionalTest methodsFor: 'querying' stamp: 'lr 1/28/2010 20:40'!
packageNamesFor: aString
	| filtered |
	filtered := self packages
		select: [ :each | each name includesSubstring: aString caseSensitive: false ].
	filtered size > 10
		ifTrue: [ filtered := filtered first: 10 ].
	^ filtered collect: [ :each | each name ]! !

!JQAutocompleteFunctionalTest methodsFor: 'querying' stamp: 'jf 2/6/2010 04:35'!
packages
	^ packages ifNil: [ packages := GRPackage packages sorted: [ :a :b | a name < b name ] ]! !

!JQAutocompleteFunctionalTest methodsFor: 'rendering' stamp: 'lr 1/28/2010 20:51'!
renderContentOn: html
	html label
		for: html nextId;
		with: 'Type a Seaside package name:'.
	html break.
	html textInput
		id: html lastId;
		script: (html jQuery this autocomplete
			sourceCallback: [ :term | self packageNamesFor: term ])! !

!JQAutocompleteFunctionalTest methodsFor: 'accessing' stamp: 'lr 1/28/2010 20:12'!
selectors
	^ #(renderContentOn:)! !

!JQAutocompleteFunctionalTest methodsFor: 'accessing' stamp: 'lr 1/28/2010 18:13'!
title
	^ 'Autocomplete'! !

!JQAutocompleteFunctionalTest methodsFor: 'accessing' stamp: 'lr 1/28/2010 18:13'!
url
	^ 'http://docs.jquery.com/UI/Autocomplete'! !

JQUiFunctionalTest subclass: #JQButtonFunctionalTest
	instanceVariableNames: 'locked number'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQButtonFunctionalTest methodsFor: 'initialization' stamp: 'lr 2/16/2010 18:47'!
initialize
	super initialize.
	locked := false.
	number := 1! !

!JQButtonFunctionalTest methodsFor: 'rendering' stamp: 'lr 2/16/2010 18:31'!
renderAnchorOn: html
	html anchor
		onClick: (html javascript
			alert: 'Nothing to configure right now.');
		script: (html jQuery this button
			text: false;
			primaryIcon: 'ui-icon-gear');
		with: 'Configure'! !

!JQButtonFunctionalTest methodsFor: 'rendering' stamp: 'lr 2/16/2010 18:35'!
renderCheckboxOn: html
	html checkbox
		value: locked;
		callback: [ :value | locked := value ];
		onChange: (html jQuery ajax serializeForm);
		script: (html jQuery this button
			text: false;
			primaryIcon: 'ui-icon-locked').
	html label
		for: html lastId;
		with: 'Lock'! !

!JQButtonFunctionalTest methodsFor: 'rendering' stamp: 'lr 2/16/2010 18:32'!
renderContentOn: html
	html form 
		id: 'toolbar';
		class: 'ui-widget-header';
		class: 'ui-corner-all'; 
		with: [ 
			self renderAnchorOn: html.
			self renderCheckboxOn: html.
			self renderOptionOn: html ]! !

!JQButtonFunctionalTest methodsFor: 'rendering' stamp: 'lr 4/15/2010 06:54'!
renderOptionOn: html
	html span
		script: (html jQuery this buttonset);
		with: [ 
			html radioGroup
				selected: number; 
				callback: [ :value | number := value ];
				with: [ :group |
					#(1 2 3) do: [ :each |
						group radioButton
							onChange: (html jQuery ajax serializeForm);
							value: each.
						html label
							for: html lastId;
							with: each ] ] ]! !

!JQButtonFunctionalTest methodsFor: 'accessing' stamp: 'lr 2/16/2010 18:32'!
selectors
	^ #(renderContentOn: renderAnchorOn: renderCheckboxOn: renderOptionOn:)! !

!JQButtonFunctionalTest methodsFor: 'accessing' stamp: 'lr 2/16/2010 18:31'!
style
	^ '#toolbar { padding: 4px 4px; }'
	! !

!JQButtonFunctionalTest methodsFor: 'accessing' stamp: 'lr 1/28/2010 18:13'!
title
	^ 'Button'! !

!JQButtonFunctionalTest methodsFor: 'accessing' stamp: 'lr 1/28/2010 18:13'!
url
	^ 'http://docs.jquery.com/UI/Button'! !

JQUiFunctionalTest subclass: #JQDatepickerFunctionalTest
	instanceVariableNames: 'date'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQDatepickerFunctionalTest methodsFor: 'initialization' stamp: 'lr 11/4/2008 17:49'!
initialize
	super initialize.
	date := '09/19/2008'! !

!JQDatepickerFunctionalTest methodsFor: 'rendering' stamp: 'lr 11/4/2008 19:50'!
renderContentOn: html	
	html textInput
		value: date;
		callback: [ :value | date := value ];
		script: (html jQuery new datepicker
			onSelect: (html jQuery ajax serializeThis))! !

!JQDatepickerFunctionalTest methodsFor: 'accessing' stamp: 'lr 10/29/2008 08:34'!
selectors
	^ #(initialize renderContentOn:)! !

!JQDatepickerFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/17/2008 09:38'!
title
	^ 'Datepicker Widget'! !

!JQDatepickerFunctionalTest methodsFor: 'accessing' stamp: 'lr 1/28/2010 18:12'!
url
	^ 'http://docs.jquery.com/UI/Datepicker'! !

JQUiFunctionalTest subclass: #JQDialogFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQDialogFunctionalTest methodsFor: 'rendering' stamp: 'lr 5/27/2009 11:10'!
renderContentOn: html
	self renderWindowOn: html.
	self renderLightboxOn: html! !

!JQDialogFunctionalTest methodsFor: 'utilities' stamp: 'lr 12/3/2008 22:55'!
renderDialog: aString on: html
	html paragraph: [ html text: 'This is a '; text: aString; text: '.' ]! !

!JQDialogFunctionalTest methodsFor: 'rendering' stamp: 'lr 5/27/2009 11:11'!
renderLightboxOn: html
	| id |
	html div
		id: (id := html nextId);
		script: (html jQuery new dialog
			html: JQCounterFunctionalTest new;
			title: 'Lightbox Dialog';
			resizable: false;
			modal: true).
	html submitButton
		onClick: (html jQuery id: id) dialog open;
		with: 'Open Lightbox'! !

!JQDialogFunctionalTest methodsFor: 'rendering' stamp: 'lr 12/14/2008 21:25'!
renderWindowOn: html
	| id |
	html div
		id: (id := html nextId);
		script: (html jQuery new dialog
			title: 'Vegetables';
			autoOpen: false;
			addButton: 'Close' do: html jQuery new dialog close);
		with: [ html unorderedList list: self vegetables ].
	html submitButton
		onClick: (html jQuery id: id) dialog open;
		with: 'Open Window'.
	html submitButton
		onClick: (html jQuery id: id) dialog close;
		with: 'Close Window'! !

!JQDialogFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/3/2008 21:37'!
selectors
	^ #(renderWindowOn: renderLightboxOn:)! !

!JQDialogFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/17/2008 09:38'!
title
	^ 'Dialog Widget'! !

!JQDialogFunctionalTest methodsFor: 'accessing' stamp: 'lr 1/28/2010 18:12'!
url
	^ 'http://docs.jquery.com/UI/Dialog'! !

JQUiFunctionalTest subclass: #JQDraggableFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQDraggableFunctionalTest methodsFor: 'rendering' stamp: 'jf 1/11/2010 13:08'!
renderContentOn: html
	html image
		altText: 'Seaside';
		url: (JQUiAllFunctionalTestsLibrary urlOf: #seastarPng);
		script: (html jQuery new draggable opacity: 0.75)! !

!JQDraggableFunctionalTest methodsFor: 'accessing' stamp: 'lr 10/29/2008 08:31'!
selectors
	^ #(renderContentOn:)! !

!JQDraggableFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/17/2008 09:38'!
title
	^ 'Draggable Interaction'! !

!JQDraggableFunctionalTest methodsFor: 'accessing' stamp: 'lr 1/28/2010 18:12'!
url
	^ 'http://docs.jquery.com/UI/Draggable'! !

JQUiFunctionalTest subclass: #JQDroppableFunctionalTest
	instanceVariableNames: 'selected'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQDroppableFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/23/2009 10:17'!
colors
	^ #(red green blue)! !

!JQDroppableFunctionalTest methodsFor: 'initialization' stamp: 'lr 12/23/2009 10:09'!
initialize
	super initialize.
	selected := Bag new! !

!JQDroppableFunctionalTest methodsFor: 'rendering' stamp: 'lr 12/23/2009 10:48'!
renderContentOn: html
	self renderInstructionsOn: html.
	self renderInventoryOn: html.
	self renderSelectedOn: html! !

!JQDroppableFunctionalTest methodsFor: 'rendering' stamp: 'lr 12/23/2009 11:42'!
renderInstructionsOn: html
	html paragraph: 'Drag the colored items from the inventory on top into the list of selected items below. To remove selected items drag them out of the selected list.'! !

!JQDroppableFunctionalTest methodsFor: 'rendering' stamp: 'lr 12/23/2009 10:49'!
renderInventoryOn: html
	html div class: 'inventory ui-corner-all'; with: [ 
		self colors do: [ :each |
			html div
				class: each;
				passenger: each;
				script: (html jQuery new draggable
					revert: true) ] ]! !

!JQDroppableFunctionalTest methodsFor: 'rendering' stamp: 'lr 12/23/2009 12:06'!
renderSelectedItemsOn: html
	self selected do: [ :each |
		html div 
			class: each; 
			passenger: each;
			script: (html jQuery new draggable
				onStop: (html jQuery this effect 
					percent: 1; puff; 
					onComplete: (html jQuery this parent load html: [ :r | 
						self selected remove: each ifAbsent: [ ].
						self renderSelectedItemsOn: r ]))) ]! !

!JQDroppableFunctionalTest methodsFor: 'rendering' stamp: 'lr 12/23/2009 11:56'!
renderSelectedOn: html
	html div
		class: 'selected ui-corner-all'; 
		script: (html jQuery new droppable
			onDrop: (html jQuery this load
				callbackDroppable: [ :event | self selected add: (event at: #draggable) ];
				html: [ :r | self renderSelectedItemsOn: r ]));
		with: [ self renderSelectedItemsOn: html ]! !

!JQDroppableFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/23/2009 11:44'!
selected
	^ selected! !

!JQDroppableFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/23/2009 11:42'!
selectors
	^ #(renderContentOn: renderInventoryOn: renderSelectedOn: renderSelectedItemsOn:)! !

!JQDroppableFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/23/2009 12:04'!
style
	^ '.inventory, .selected { 
	height: 4em;
	padding: 0.5em;
	margin-bottom: 0.5em;
	background-color: #ddd; 
	border-bottom: 1px solid #ccc;
}
.inventory div, .selected div {
	float: left;
	width: 4em;
	height: 4em;
	border-width: 0;
	margin-right: 0.5em;
}'! !

!JQDroppableFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/17/2008 09:38'!
title
	^ 'Droppable Interaction'! !

!JQDroppableFunctionalTest methodsFor: 'accessing' stamp: 'lr 1/28/2010 18:12'!
url
	^ 'http://docs.jquery.com/UI/Droppable'! !

JQUiFunctionalTest subclass: #JQEffectFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQEffectFunctionalTest methodsFor: 'effects' stamp: 'lr 12/17/2008 00:39'!
bounce: anEffect
	^ anEffect bounce; easing: 'linear'; times: 2! !

!JQEffectFunctionalTest methodsFor: 'effects' stamp: 'lr 12/17/2008 00:50'!
highlight: anEffect
	^ anEffect highlight; color: '#f00'! !

!JQEffectFunctionalTest methodsFor: 'effects' stamp: 'lr 3/7/2009 16:28'!
pulsate: anEffect
	^ anEffect pulsate times: 2! !

!JQEffectFunctionalTest methodsFor: 'rendering' stamp: 'lr 12/23/2009 12:45'!
renderContentOn: html
	html paragraph class: 'actions'; with: [
		#( bounce highlight pulsate shake size transfer ) do: [ :each | 
			html anchor
				onClick: (self
					perform: each asMutator
					with: (html jQuery: '.box') effect);
				with: each ] ].
	self renderBoxOn: html! !

!JQEffectFunctionalTest methodsFor: 'accessing' stamp: 'lr 3/7/2009 16:31'!
selectors
	^ #(renderContentOn: bounce: highlight: pulsate: shake: size: transfer:)! !

!JQEffectFunctionalTest methodsFor: 'effects' stamp: 'lr 12/17/2008 00:40'!
shake: anEffect
	^ anEffect shake; distance: 10; times: 2
! !

!JQEffectFunctionalTest methodsFor: 'effects' stamp: 'lr 3/7/2009 16:28'!
size: anEffect
	^ anEffect effect; size; toWidth: 50; toHeight: 25
! !

!JQEffectFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/17/2008 00:54'!
style
	^ '.ui-effects-transfer { border: 2px dashed black; }'! !

!JQEffectFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/17/2008 00:52'!
title
	^ 'Basic Effects'! !

!JQEffectFunctionalTest methodsFor: 'effects' stamp: 'lr 3/7/2009 16:30'!
transfer: anEffect
	^ anEffect transfer; to: 'h1.logo a'; slow! !

!JQEffectFunctionalTest methodsFor: 'accessing' stamp: 'lr 3/7/2009 16:32'!
url
	^ 'http://docs.jquery.com/UI/Effects'! !

JQUiFunctionalTest subclass: #JQIconsFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQIconsFunctionalTest methodsFor: 'accessing' stamp: 'lr 3/7/2009 17:03'!
iconClasses
	^ #( 'ui-icon-carat-1-n' 'ui-icon-carat-1-ne' 'ui-icon-carat-1-e' 'ui-icon-carat-1-se' 'ui-icon-carat-1-s' 'ui-icon-carat-1-sw' 'ui-icon-carat-1-w' 'ui-icon-carat-1-nw' 'ui-icon-carat-2-n-s' 'ui-icon-carat-2-e-w' 'ui-icon-triangle-1-n' 'ui-icon-triangle-1-ne' 'ui-icon-triangle-1-e' 'ui-icon-triangle-1-se' 'ui-icon-triangle-1-s' 'ui-icon-triangle-1-sw' 'ui-icon-triangle-1-w' 'ui-icon-triangle-1-nw' 'ui-icon-triangle-2-n-s' 'ui-icon-triangle-2-e-w' 'ui-icon-arrow-1-n' 'ui-icon-arrow-1-ne' 'ui-icon-arrow-1-e' 'ui-icon-arrow-1-se' 'ui-icon-arrow-1-s' 'ui-icon-arrow-1-sw' 'ui-icon-arrow-1-w' 'ui-icon-arrow-1-nw' 'ui-icon-arrow-2-n-s' 'ui-icon-arrow-2-ne-sw' 'ui-icon-arrow-2-e-w' 'ui-icon-arrow-2-se-nw' 'ui-icon-arrowstop-1-n' 'ui-icon-arrowstop-1-e' 'ui-icon-arrowstop-1-s' 'ui-icon-arrowstop-1-w' 'ui-icon-arrowthick-1-n' 'ui-icon-arrowthick-1-ne' 'ui-icon-arrowthick-1-e' 'ui-icon-arrowthick-1-se' 'ui-icon-arrowthick-1-s' 'ui-icon-arrowthick-1-sw' 'ui-icon-arrowthick-1-w' 'ui-icon-arrowthick-1-nw' 'ui-icon-arrowthick-2-n-s' 'ui-icon-arrowthick-2-ne-sw' 'ui-icon-arrowthick-2-e-w' 'ui-icon-arrowthick-2-se-nw' 'ui-icon-arrowthickstop-1-n' 'ui-icon-arrowthickstop-1-e' 'ui-icon-arrowthickstop-1-s' 'ui-icon-arrowthickstop-1-w' 'ui-icon-arrowreturnthick-1-w' 'ui-icon-arrowreturnthick-1-n' 'ui-icon-arrowreturnthick-1-e' 'ui-icon-arrowreturnthick-1-s' 'ui-icon-arrowreturn-1-w' 'ui-icon-arrowreturn-1-n' 'ui-icon-arrowreturn-1-e' 'ui-icon-arrowreturn-1-s' 'ui-icon-arrowrefresh-1-w' 'ui-icon-arrowrefresh-1-n' 'ui-icon-arrowrefresh-1-e' 'ui-icon-arrowrefresh-1-s' 'ui-icon-arrow-4' 'ui-icon-arrow-4-diag' 'ui-icon-extlink' 'ui-icon-newwin' 'ui-icon-refresh' 'ui-icon-shuffle' 'ui-icon-transfer-e-w' 'ui-icon-transferthick-e-w' 'ui-icon-folder-collapsed' 'ui-icon-folder-open' 'ui-icon-document' 'ui-icon-document-b' 'ui-icon-note' 'ui-icon-mail-closed' 'ui-icon-mail-open' 'ui-icon-suitcase' 'ui-icon-comment' 'ui-icon-person' 'ui-icon-print' 'ui-icon-trash' 'ui-icon-locked' 'ui-icon-unlocked' 'ui-icon-bookmark' 'ui-icon-tag' 'ui-icon-home' 'ui-icon-flag' 'ui-icon-calendar' 'ui-icon-cart' 'ui-icon-pencil' 'ui-icon-clock' 'ui-icon-disk' 'ui-icon-calculator' 'ui-icon-zoomin' 'ui-icon-zoomout' 'ui-icon-search' 'ui-icon-wrench' 'ui-icon-gear' 'ui-icon-heart' 'ui-icon-star' 'ui-icon-link' 'ui-icon-cancel' 'ui-icon-plus' 'ui-icon-plusthick' 'ui-icon-minus' 'ui-icon-minusthick' 'ui-icon-close' 'ui-icon-closethick' 'ui-icon-key' 'ui-icon-lightbulb' 'ui-icon-scissors' 'ui-icon-clipboard' 'ui-icon-copy' 'ui-icon-contact' 'ui-icon-image' 'ui-icon-video' 'ui-icon-script' 'ui-icon-alert' 'ui-icon-info' 'ui-icon-notice' 'ui-icon-help' 'ui-icon-check' 'ui-icon-bullet' 'ui-icon-radio-off' 'ui-icon-radio-on' 'ui-icon-pin-w' 'ui-icon-pin-s' 'ui-icon-play' 'ui-icon-pause' 'ui-icon-seek-next' 'ui-icon-seek-prev' 'ui-icon-seek-end' 'ui-icon-seek-first' 'ui-icon-stop' 'ui-icon-eject' 'ui-icon-volume-off' 'ui-icon-volume-on' 'ui-icon-power' 'ui-icon-signal-diag' 'ui-icon-signal' 'ui-icon-battery-0' 'ui-icon-battery-1' 'ui-icon-battery-2' 'ui-icon-battery-3' 'ui-icon-circle-plus' 'ui-icon-circle-minus' 'ui-icon-circle-close' 'ui-icon-circle-triangle-e' 'ui-icon-circle-triangle-s' 'ui-icon-circle-triangle-w' 'ui-icon-circle-triangle-n' 'ui-icon-circle-arrow-e' 'ui-icon-circle-arrow-s' 'ui-icon-circle-arrow-w' 'ui-icon-circle-arrow-n' 'ui-icon-circle-zoomin' 'ui-icon-circle-zoomout' 'ui-icon-circle-check' 'ui-icon-circlesmall-plus' 'ui-icon-circlesmall-minus' 'ui-icon-circlesmall-close' 'ui-icon-squaresmall-plus' 'ui-icon-squaresmall-minus' 'ui-icon-squaresmall-close' 'ui-icon-grip-dotted-vertical' 'ui-icon-grip-dotted-horizontal' 'ui-icon-grip-solid-vertical' 'ui-icon-grip-solid-horizontal' 'ui-icon-gripsmall-diagonal-se' 'ui-icon-grip-diagonal-se' )! !

!JQIconsFunctionalTest methodsFor: 'rendering' stamp: 'lr 3/10/2009 21:13'!
renderContentOn: html
	html unorderedList
		class: 'icons';
		class: 'ui-widget';
		class: 'ui-helper-clearfix';
		script: (html jQuery new
			find: 'li';
			hover: (html jQuery new 
				addClass: 'ui-state-hover')
			out: (html jQuery new
				removeClass: 'ui-state-hover'));
		with: [ self renderIconsOn: html ]! !

!JQIconsFunctionalTest methodsFor: 'rendering' stamp: 'lr 7/25/2011 18:37'!
renderIconsOn: html
	self iconClasses do: [ :each |
		html listItem
			title: each;
			class: 'ui-corner-all';
			class: 'ui-state-default';
			with: [
				html span
					class: 'ui-icon';
					class: each ] ]! !

!JQIconsFunctionalTest methodsFor: 'accessing' stamp: 'lr 3/10/2009 20:59'!
selectors
	^ #(renderContentOn: renderIconsOn:)! !

!JQIconsFunctionalTest methodsFor: 'accessing' stamp: 'lr 3/10/2009 20:56'!
style
	^ 'ul.icons, ul.icons li { margin: 0; padding: 0; list-style-type: none; }
ul.icons li { float: left; margin: 2px; padding: 2px; }'! !

!JQIconsFunctionalTest methodsFor: 'accessing' stamp: 'lr 3/7/2009 18:18'!
title
	^ 'Icon Theming'! !

!JQIconsFunctionalTest methodsFor: 'accessing' stamp: 'lr 3/7/2009 17:00'!
url
	^ 'http://docs.jquery.com/UI/Theming/API'! !

JQUiFunctionalTest subclass: #JQProgressbarFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQProgressbarFunctionalTest methodsFor: 'rendering' stamp: 'lr 3/7/2009 14:00'!
renderContentOn: html
	html div script: (html jQuery new progressbar value: 35)! !

!JQProgressbarFunctionalTest methodsFor: 'accessing' stamp: 'lr 10/30/2008 08:04'!
selectors
	^ #(renderContentOn:)! !

!JQProgressbarFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/17/2008 09:37'!
title
	^ 'Progressbar Widget'! !

!JQProgressbarFunctionalTest methodsFor: 'accessing' stamp: 'lr 1/28/2010 18:12'!
url
	^ 'http://docs.jquery.com/UI/Progressbar'! !

JQUiFunctionalTest subclass: #JQResizableFunctionalTest
	instanceVariableNames: 'size'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQResizableFunctionalTest methodsFor: 'initialization' stamp: 'lr 11/4/2008 18:18'!
initialize
	super initialize.
	size := 128 @ 128! !

!JQResizableFunctionalTest methodsFor: 'rendering' stamp: 'jf 1/11/2010 13:08'!
renderContentOn: html
	html image
		altText: 'Seaside';
		width: size x; height: size y;
		url: (JQUiAllFunctionalTestsLibrary urlOf: #seastarPng);
		script: (html jQuery new resizable
			onStop: (html jQuery ajax
				callbackResizable: [ :event | size := event at: #size ]))! !

!JQResizableFunctionalTest methodsFor: 'accessing' stamp: 'lr 11/4/2008 18:11'!
selectors
	^ #(renderContentOn:)! !

!JQResizableFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/17/2008 09:37'!
title
	^ 'Resizable Interaction'! !

!JQResizableFunctionalTest methodsFor: 'accessing' stamp: 'lr 1/28/2010 18:12'!
url
	^ 'http://docs.jquery.com/UI/Resizable'! !

JQUiFunctionalTest subclass: #JQSelectableFunctionalTest
	instanceVariableNames: 'selected'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQSelectableFunctionalTest methodsFor: 'initialization' stamp: 'lr 10/27/2008 06:36'!
initialize
	super initialize.
	selected := Set new! !

!JQSelectableFunctionalTest methodsFor: 'rendering' stamp: 'lr 10/28/2009 10:21'!
renderContentOn: html
	html unorderedList
		script: (html jQuery new selectable
			onStop: (html jQuery ajax
				callback: [ :value | selected := value asSet ]
				passengers: (html jQuery this find: '.ui-selected')));
		with: [
			self vegetables do: [ :each |
				html listItem
					class: 'ui-corner-all';
					class: 'ui-selected' if: (selected includes: each);
					passenger: each;
					with: each ] ]! !

!JQSelectableFunctionalTest methodsFor: 'accessing' stamp: 'lr 11/4/2008 18:11'!
selectors
	^ #(renderContentOn:)! !

!JQSelectableFunctionalTest methodsFor: 'rendering' stamp: 'lr 3/7/2009 17:21'!
style
	^ '.ui-selectable, .ui-selectable li { list-style-type: none; padding: 0; margin: 0; }
.ui-selectable li { padding: 5px; margin: 5px; border: #e6e6e6 1px solid; }
.ui-selectable li.ui-selecting { background-color: #e6e6e6; }
.ui-selectable li.ui-selected { background-color: #dadada; }'! !

!JQSelectableFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/17/2008 09:37'!
title
	^ 'Selectable Interaction'! !

!JQSelectableFunctionalTest methodsFor: 'accessing' stamp: 'lr 1/28/2010 18:12'!
url
	^ 'http://docs.jquery.com/UI/Selectable'! !

JQUiFunctionalTest subclass: #JQSliderFunctionalTest
	instanceVariableNames: 'current'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQSliderFunctionalTest methodsFor: 'initialization' stamp: 'lr 10/29/2008 23:15'!
initialize
	super initialize.
	current := 50! !

!JQSliderFunctionalTest methodsFor: 'rendering' stamp: 'lr 1/28/2010 18:34'!
renderContentOn: html
	html div script: (html jQuery new slider
		value: current;
		onStop: (html jQuery ajax
			callback: [ :value | current := value asNumber ]
			value: (html jQuery this slider getValue)))! !

!JQSliderFunctionalTest methodsFor: 'accessing' stamp: 'lr 11/4/2008 18:35'!
selectors
	^ #(renderContentOn:)! !

!JQSliderFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/17/2008 09:37'!
title
	^ 'Slider Widget'! !

!JQSliderFunctionalTest methodsFor: 'accessing' stamp: 'lr 1/28/2010 18:12'!
url
	^ 'http://docs.jquery.com/UI/Slider'! !

JQUiFunctionalTest subclass: #JQSortableFunctionalTest
	instanceVariableNames: 'items'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQSortableFunctionalTest methodsFor: 'initialization' stamp: 'lr 10/27/2008 06:37'!
initialize
	super initialize.
	items := self vegetables! !

!JQSortableFunctionalTest methodsFor: 'rendering' stamp: 'lr 10/28/2009 07:32'!
renderContentOn: html
	html unorderedList
		script: (html jQuery new sortable
			onStop: (html jQuery ajax
				callback: [ :values | items := values ]
				passengers: (html jQuery this find: 'li')));
		with: [
			items do: [ :each |
				html listItem
					class: 'ui-corner-all';
					passenger: each;
					with: each ] ]! !

!JQSortableFunctionalTest methodsFor: 'accessing' stamp: 'lr 11/4/2008 18:11'!
selectors
	^ #(renderContentOn:)! !

!JQSortableFunctionalTest methodsFor: 'rendering' stamp: 'lr 3/7/2009 17:20'!
style
	^ '.ui-sortable, .ui-sortable li { list-style-type: none; padding: 0; margin: 0; }
.ui-sortable li { cursor: move; padding: 5px; margin: 5px; background-color: #fff; border: #e6e6e6 1px solid; }'! !

!JQSortableFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/17/2008 09:37'!
title
	^ 'Sortable Interaction'! !

!JQSortableFunctionalTest methodsFor: 'accessing' stamp: 'lr 1/28/2010 18:12'!
url
	^ 'http://docs.jquery.com/UI/Sortable'! !

JQUiFunctionalTest subclass: #JQTabsFunctionalTest
	instanceVariableNames: 'selectedTab'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQTabsFunctionalTest methodsFor: 'initialization' stamp: 'lr 7/14/2010 13:49'!
initialize
	super initialize.
	selectedTab := 0! !

!JQTabsFunctionalTest methodsFor: 'rendering' stamp: 'lr 7/14/2010 13:55'!
renderContentOn: html
	html div
		script: (html jQuery new tabs
			selected: selectedTab;
			onSelect: (html jQuery ajax 
				callbackTabs: [ :event | selectedTab:= event at: #index ]));
		with: [
			html unorderedList: [
				self berries keysAndValuesDo: [ :name :description |
					html listItem: [
						html anchor
							url: (html jQuery ajax
								html: [ :h | h text: description ];
								fullUrl);
							with: name ] ] ] ]
! !

!JQTabsFunctionalTest methodsFor: 'accessing' stamp: 'lr 10/29/2008 08:32'!
selectors
	^ #(renderContentOn:)! !

!JQTabsFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/17/2008 09:37'!
title
	^ 'Tabs Widget'! !

!JQTabsFunctionalTest methodsFor: 'accessing' stamp: 'lr 1/28/2010 18:11'!
url
	^ 'http://docs.jquery.com/UI/Tabs'! !

JQUiFunctionalTest subclass: #JQToggleFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQToggleFunctionalTest methodsFor: 'rendering' stamp: 'lr 3/23/2010 20:39'!
renderContentOn: html
	html paragraph class: 'actions'; with: [
		#( blind clip drop explode fade fold puff scale slide ) do: [ :each | 
			html anchor
				onClick: ((html jQuery: '.box') effect
					toggle;
					perform: each);
				with: each ] ].
	self renderBoxOn: html! !

!JQToggleFunctionalTest methodsFor: 'accessing' stamp: 'lr 11/27/2008 22:11'!
selectors
	^ #(renderContentOn:)! !

!JQToggleFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/17/2008 00:35'!
title
	^ 'Toggle Effects'! !

!JQToggleFunctionalTest methodsFor: 'accessing' stamp: 'lr 3/7/2009 16:32'!
url
	^ 'http://docs.jquery.com/UI/Effects'! !

JQUiFunctionalTest subclass: #JQTransitionFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQTransitionFunctionalTest methodsFor: 'rendering' stamp: 'lr 12/23/2009 12:46'!
renderContentOn: html
	html paragraph class: 'actions'; with: [
		#( green wide bold ) do: [ :each |
			html anchor
				onClick: ((html jQuery: '.box')
					toggleClass: each
					duration: 'slow');
				with: (each copyUpTo: $:) ] ].
	self renderBoxOn: html! !

!JQTransitionFunctionalTest methodsFor: 'accessing' stamp: 'obi 11/28/2008 18:52'!
selectors
	^ #(renderContentOn:)! !

!JQTransitionFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/17/2008 18:05'!
style
	^ '.wide { width: 100%; height: 50px; }
.bold { border-width: 5px; }'! !

!JQTransitionFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/17/2008 09:24'!
title
	^ 'Class Transition'! !

!JQTransitionFunctionalTest methodsFor: 'accessing' stamp: 'lr 3/7/2009 16:34'!
url
	^ 'http://docs.jquery.com/UI/Effects/ClassTransitions'! !

!JQUiFunctionalTest methodsFor: 'accessing' stamp: 'lr 11/4/2008 17:10'!
berries
	"A collection of berries and a short description from Wikipedia."
	
	^ Dictionary new
		at: 'Blackberry' put: 'The blackberry is an aggregate fruit from a bramble bush, genus Rubus in the rose family Rosaceae.';
		at: 'Raspberry' put: 'The raspberry is the edible fruit of a multitude of plant species in the subgenus Idaeobatus of the genus Rubus.';
		at: 'Blueberry' put: 'Blueberries are flowering plants in the genus Vaccinium, sect. Cyanococcus.'; 
		at: 'Cloudberry' put: 'The cloudberry is a slow-growing alpine or sub-Arctic species of Rubus, producing amber-colored edible fruit.';
		at: 'Cranberry' put: 'Cranberries are a group of evergreen dwarf shrubs or trailing vines in the genus Vaccinium subgenus Oxycoccos, or in some treatments, in the distinct genus Oxycoccos.';
		yourself! !

!JQUiFunctionalTest methodsFor: 'rendering' stamp: 'lr 12/17/2008 17:57'!
renderBoxOn: html
	html div class: 'pack'; with: [
		html div 
			class: 'box';
			class: 'blue' ]! !

!JQUiFunctionalTest methodsFor: 'accessing' stamp: 'lr 10/30/2008 08:10'!
vegetables
	^ #('Alfalfa' 'Clover' 'Peas' 'Beans' 'Lentils' 'Lupins' 'Peanuts')! !

JQUiFunctionalTest subclass: #JQVisualsFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQVisualsFunctionalTest methodsFor: 'rendering' stamp: 'lr 3/7/2009 17:05'!
renderContentOn: html
	self renderHighlightOn: html.
	self renderErrorOn: html! !

!JQVisualsFunctionalTest methodsFor: 'rendering' stamp: 'lr 3/7/2009 17:12'!
renderErrorOn: html
	html div class: 'ui-corner-all ui-state-error'; with: [
		html paragraph: [ 
			html span class: 'ui-icon ui-icon-alert'.
			html strong: 'Error: '.
			html text: 'Sample ui-state-error style.' ] ]! !

!JQVisualsFunctionalTest methodsFor: 'rendering' stamp: 'lr 3/7/2009 17:13'!
renderHighlightOn: html
	html div class: 'ui-corner-all ui-state-highlight'; with: [
		html paragraph: [ 
			html span class: 'ui-icon ui-icon-info'.
			html strong: 'Hey!! '.
			html text: 'Sample ui-state-highlight style.' ] ]! !

!JQVisualsFunctionalTest methodsFor: 'accessing' stamp: 'lr 3/7/2009 17:04'!
selectors
	^ #(renderHighlightOn: renderErrorOn:)! !

!JQVisualsFunctionalTest methodsFor: 'accessing' stamp: 'lr 3/7/2009 17:15'!
style
	^ '.ui-corner-all { padding: 0.1em 0.5em; margin: 1em auto; width: 500px; }
.ui-corner-all .ui-icon { float: left; margin-right: 0.3em; }'! !

!JQVisualsFunctionalTest methodsFor: 'accessing' stamp: 'lr 3/7/2009 18:18'!
title
	^ 'Visual Theming'! !

!JQVisualsFunctionalTest methodsFor: 'accessing' stamp: 'lr 3/7/2009 17:04'!
url
	^ 'http://docs.jquery.com/UI/Theming/API'! !

JQAllFunctionalTestsLibrary subclass: #JQUiAllFunctionalTestsLibrary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQUiAllFunctionalTestsLibrary methodsFor: 'styles' stamp: 'lr 12/5/2009 10:11'!
defaultUiCss
	^ '#theme { clear: both; float: right; margin: -40px 0 10px 0; }
#theme label { color: #fff; }
#theme select { outline: none; border: 1px solid #ddd; background-color: #fff; }
	
/* colors */
.blue { background-color: #68bfef; border: 2px solid #0090df; }
.red { background-color: #ef2929; border: 2px solid #cc0000; }
.green { background-color: #72d216; border: 2px solid #4e9a06; }
.brown { background-color: #e9b96e; border: 2px solid #c17d11; }

/* box */
.pack { position: relative; height: 110px; }
.box { float: left; width: 100px; height: 100px; margin-right: 1em; }'! !

!JQUiAllFunctionalTestsLibrary methodsFor: 'uploaded' stamp: 'pmm 2/17/2011 07:39'!
logoPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 1 94 0 0 0 70 8 3 0 0 0 179 7 12 106 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 3 0 80 76 84 69 255 180 0 255 153 0 115 56 19 255 161 0 199 94 8 255 185 0 251 76 0 255 109 0 106 106 106 238 45 0 131 32 14 185 89 10 148 32 11 77 77 77 157 78 14 237 53 0 253 83 0 89 54 25 255 144 0 181 32 7 213 99 6 255 149 0 90 90 90 255 97 0 255 137 0 244 68 0 120 120 121 255 141 0 171 84 12 241 51 0 255 105 0 103 58 23 233 37 0 232 34 0 46 46 46 255 173 0 225 225 225 131 69 19 62 62 62 255 168 0 255 171 0 255 93 0 87 30 20 255 178 0 248 66 0 255 126 0 255 175 0 44 35 29 255 166 0 255 134 0 255 124 0 199 107 7 70 41 22 255 128 0 144 73 17 255 132 0 255 176 0 198 76 7 255 112 0 255 130 0 167 38 9 185 52 8 255 164 0 255 116 0 255 122 0 241 123 2 220 35 2 255 159 0 115 48 20 241 117 2 255 89 0 166 166 166 75 48 27 61 43 30 200 58 6 241 56 0 255 102 0 117 63 20 241 62 0 255 118 0 246 62 0 108 30 17 246 73 0 156 84 13 61 60 61 255 100 0 255 119 0 249 88 0 241 109 2 102 36 18 250 93 0 28 28 28 67 30 23 255 156 0 48 48 48 250 102 0 251 106 0 185 74 10 92 92 92 227 99 3 42 30 28 227 114 4 196 36 6 243 57 0 207 33 3 47 38 31 253 103 0 48 39 32 53 29 24 196 41 6 253 125 0 252 101 0 250 99 0 48 38 31 127 62 15 30 31 31 33 34 33 34 33 33 56 38 24 31 30 31 33 33 34 31 31 30 33 32 33 34 34 34 32 33 32 32 33 33 33 32 32 32 32 33 30 30 30 34 34 33 34 33 34 33 33 32 31 30 30 33 34 34 31 31 32 31 32 31 32 31 31 32 31 32 32 32 31 30 30 31 30 31 30 31 32 32 255 114 0 136 136 136 240 240 240 196 196 196 210 210 210 181 181 181 195 195 195 227 104 4 151 151 151 165 165 165 180 180 180 150 150 150 137 137 137 255 115 0 122 122 122 195 196 196 92 91 91 196 196 195 196 195 195 91 91 91 136 137 137 136 136 137 165 165 166 211 211 211 47 47 47 210 211 211 195 196 195 137 136 136 211 211 210 150 151 150 29 30 29 62 61 62 62 61 61 196 195 196 136 137 136 137 136 137 122 121 121 47 48 48 48 48 47 48 47 47 76 76 76 29 30 30 61 62 62 137 137 136 210 210 211 210 211 210 180 180 181 121 122 121 122 122 121 181 181 180 150 151 151 151 150 150 62 62 61 30 29 30 136 135 136 166 165 166 47 48 47 91 92 92 135 136 136 48 47 48 165 166 165 166 165 165 211 210 211 180 181 180 180 181 181 181 180 180 181 180 181 30 29 29 121 121 121 122 121 122 29 29 29 91 92 91 92 91 92 92 92 91 150 150 151 151 150 151 105 106 106 106 105 105 195 195 196 247 94 0 227 89 4 252 110 0 135 135 135 135 136 135 241 97 2 136 136 135 211 92 5 235 40 0 166 166 165 27 28 28 211 210 210 30 30 29 254 127 0 121 122 122 183 80 8 185 80 10 152 151 152 151 152 151 86 49 22 151 151 150 61 61 61 123 43 15 61 62 61 253 128 0 252 116 0 252 118 0 105 105 105 105 106 105 253 120 0 253 123 0 32 32 32 31 31 31 33 33 33 255 255 255 36 76 190 109 0 0 44 44 73 68 65 84 120 218 164 122 9 128 20 231 117 102 143 97 97 100 4 246 140 65 32 131 128 129 97 6 132 71 98 38 6 180 96 3 54 107 13 196 32 201 178 37 79 108 129 19 219 137 76 240 165 116 87 186 187 250 238 234 179 250 152 25 14 129 46 75 227 99 124 223 54 142 157 248 72 156 100 147 205 38 27 207 178 73 54 217 221 236 165 61 216 203 203 222 187 85 53 249 190 247 87 253 85 61 12 142 119 183 208 76 215 241 255 239 127 239 123 223 251 222 95 61 138 197 147 237 98 50 94 44 182 91 241 118 165 88 41 38 91 149 10 47 138 173 52 62 139 241 74 186 216 74 198 211 110 178 216 170 20 211 149 86 37 222 170 180 138 241 120 177 146 44 22 93 183 82 113 139 173 118 49 93 76 195 76 178 2 27 21 55 222 46 22 49 6 22 90 45 14 42 98 112 187 88 113 97 48 238 22 219 109 12 104 97 28 214 193 129 17 21 44 134 133 218 88 26 134 93 218 118 219 237 162 58 56 171 221 174 208 171 74 26 30 226 33 188 72 23 185 90 69 156 164 239 197 86 60 78 131 73 55 222 194 195 74 188 210 138 167 225 20 78 218 21 216 197 248 74 37 217 166 63 116 180 93 108 87 224 3 214 147 243 36 162 110 21 219 113 92 180 233 115 37 158 164 217 22 140 182 42 201 74 50 93 73 167 49 142 129 210 141 120 49 29 39 80 68 161 72 144 48 21 71 43 238 186 113 174 9 255 16 58 156 107 183 98 140 15 232 96 118 218 197 9 28 146 241 112 27 184 2 21 132 78 203 201 86 188 69 16 129 90 18 14 226 177 203 41 113 23 174 164 25 97 50 30 135 217 118 188 149 68 88 4 183 237 226 12 198 175 205 221 76 19 153 86 59 13 179 113 2 141 165 17 243 220 220 93 215 210 176 47 126 182 105 190 197 168 25 46 231 181 48 31 247 224 39 18 73 180 227 73 124 194 15 55 221 70 74 49 11 177 129 24 92 29 105 78 210 77 132 68 116 113 42 52 160 109 23 51 56 29 19 146 73 132 197 180 75 36 112 189 232 198 145 214 10 99 133 119 128 29 235 35 255 128 22 201 73 186 46 0 39 149 224 60 48 162 107 132 183 133 25 88 0 76 34 44 73 120 208 166 209 74 156 60 131 141 52 12 198 113 134 128 90 237 24 184 68 34 192 126 27 191 147 240 31 206 164 105 26 52 74 226 31 204 194 137 211 7 126 124 61 201 105 105 174 145 108 19 245 52 29 109 181 93 132 4 15 220 86 81 178 129 167 21 23 78 210 39 183 245 63 135 23 23 23 47 237 128 85 130 200 242 128 233 29 11 87 46 44 250 199 165 127 250 14 128 217 34 252 113 204 4 81 227 200 92 26 156 78 227 96 188 45 23 172 107 183 92 96 2 230 99 100 210 45 38 153 253 52 48 5 55 227 233 86 218 173 184 8 148 225 1 183 52 193 32 221 211 156 135 24 96 11 70 146 36 12 82 65 62 196 93 114 13 70 219 44 80 38 180 8 184 192 206 226 205 43 51 139 23 254 87 59 13 179 164 148 155 198 244 29 87 134 23 135 255 5 214 0 220 69 210 239 174 171 139 139 87 175 193 213 56 220 131 163 128 150 185 192 2 110 43 9 155 110 165 13 223 139 110 37 150 4 25 88 2 46 120 210 162 203 149 10 120 7 130 49 78 140 101 70 139 238 150 238 161 67 235 126 136 168 81 57 173 52 248 155 20 77 169 176 250 16 52 226 139 115 6 76 23 153 79 20 25 22 2 94 87 124 12 177 58 136 0 216 220 74 107 199 51 51 139 61 199 51 59 128 65 156 133 137 154 166 121 12 116 129 37 50 71 46 37 41 38 40 6 55 45 56 99 229 10 171 55 157 36 147 0 62 171 15 197 13 186 18 214 116 156 5 220 98 158 145 50 196 22 39 247 169 117 224 9 200 130 36 192 94 27 24 83 138 112 43 205 2 129 227 92 57 158 92 80 46 245 187 46 195 172 72 130 175 41 127 127 27 160 185 76 174 31 213 204 59 88 73 113 184 231 2 8 23 213 156 110 129 142 160 28 138 9 140 97 218 99 44 102 46 236 178 28 40 33 224 30 103 84 56 11 139 36 41 48 167 143 62 119 232 208 234 215 195 93 228 169 40 206 184 140 198 37 134 73 6 30 39 145 80 89 110 154 137 66 124 73 216 175 252 69 128 224 53 202 3 156 75 198 221 63 95 2 46 142 11 59 48 31 110 167 89 70 4 25 116 130 187 228 24 132 27 192 178 152 80 59 200 14 138 10 24 131 178 28 142 103 188 151 164 188 226 18 136 64 161 128 47 198 163 18 92 132 74 218 146 18 72 47 253 147 188 225 9 194 34 21 147 210 48 146 12 23 137 68 188 197 185 192 35 204 141 179 238 33 62 239 240 29 158 97 82 161 3 149 127 22 208 2 209 130 175 21 86 52 228 45 77 12 64 123 176 51 78 157 6 174 197 24 89 227 178 236 129 63 164 156 146 4 30 182 176 58 242 157 198 77 36 40 189 230 232 81 210 247 58 68 1 69 136 233 52 3 209 96 142 113 167 194 220 72 102 32 224 0 23 11 2 106 156 12 7 0 222 133 53 92 105 60 211 139 203 28 87 225 19 100 128 16 193 44 19 203 186 97 65 225 31 123 34 226 138 179 82 224 14 47 65 97 40 18 92 129 227 40 21 242 154 56 147 241 45 0 197 57 69 42 0 204 161 43 179 235 41 45 68 143 73 10 220 73 66 204 202 231 144 36 7 129 108 16 198 75 129 71 105 201 36 178 152 12 42 112 113 17 213 4 186 183 119 4 252 184 148 20 222 182 232 22 44 164 137 7 43 154 136 33 243 168 238 100 12 60 100 14 128 99 156 229 200 236 128 177 116 15 26 66 61 194 242 247 63 254 240 195 221 231 14 189 239 221 112 143 104 2 2 84 14 114 71 115 152 221 38 165 17 133 203 234 102 196 45 120 7 0 174 105 252 174 225 74 56 242 204 226 178 199 93 204 25 18 171 90 138 96 7 115 104 18 73 249 32 225 128 54 65 135 78 36 165 185 23 33 181 21 169 22 180 21 178 217 101 126 152 6 6 139 162 135 247 176 232 82 48 92 186 134 187 228 79 197 165 18 130 185 176 69 154 179 246 146 172 94 212 197 77 93 79 82 186 152 5 115 186 218 216 219 176 196 107 131 235 223 166 88 184 226 86 145 181 5 180 152 15 130 73 135 144 178 100 76 248 137 75 140 108 49 27 40 119 222 226 174 42 206 98 131 118 184 167 143 61 126 236 185 163 15 175 126 61 246 39 100 24 192 175 48 94 84 3 18 5 110 37 211 66 43 220 194 50 170 66 217 38 131 82 91 28 198 202 84 155 244 194 242 232 46 94 109 145 103 0 43 174 208 161 76 32 54 226 13 40 133 192 128 22 26 129 228 146 113 164 49 1 119 185 221 74 171 43 250 195 36 241 131 237 13 5 225 182 5 247 22 5 38 41 57 199 238 3 180 196 25 179 141 61 99 82 138 150 165 197 240 255 60 240 231 10 23 114 101 163 165 57 114 33 169 22 213 108 126 45 53 129 149 86 73 10 217 9 130 204 18 215 218 40 245 116 140 69 77 13 192 210 34 89 116 14 167 108 172 254 64 55 190 230 216 196 216 115 143 223 56 180 238 71 105 217 150 162 141 184 66 93 166 142 129 113 62 83 217 170 136 22 178 81 97 93 87 147 97 46 78 98 37 227 55 35 186 59 124 41 42 194 164 74 82 28 68 184 82 212 64 136 82 205 35 222 22 50 177 86 227 106 81 106 64 60 25 248 40 33 97 39 71 12 227 212 82 69 25 122 153 148 100 183 153 152 10 21 140 170 155 150 12 114 33 38 162 200 231 228 12 106 86 215 214 52 10 164 69 112 93 87 147 245 153 164 100 184 162 55 61 215 72 53 216 149 240 219 108 89 21 217 250 10 144 162 59 110 76 234 3 112 176 223 201 99 150 187 72 64 92 240 131 63 95 152 56 54 190 255 232 177 77 15 191 143 123 51 1 86 136 228 250 180 145 123 216 227 144 29 130 43 91 176 152 189 170 252 88 112 197 86 220 189 20 238 22 110 130 70 119 133 0 207 177 56 131 124 186 226 33 150 168 180 69 143 169 147 170 144 227 62 214 20 248 116 80 218 129 59 42 215 146 8 197 37 241 66 146 144 84 117 17 87 113 131 117 82 177 220 65 115 147 10 239 169 157 149 180 246 239 174 138 248 193 9 26 242 5 244 34 236 25 147 193 245 76 92 141 17 64 161 34 164 165 210 2 97 30 187 109 37 230 42 93 114 21 83 128 82 43 45 215 194 18 58 145 78 111 155 24 27 28 63 58 49 120 112 245 175 42 18 181 185 41 108 75 24 21 197 21 127 131 226 138 0 35 18 87 193 187 131 133 116 245 46 233 82 120 216 175 209 156 86 190 107 102 44 190 86 144 37 126 201 16 229 224 128 167 170 234 132 44 178 78 165 229 106 100 101 155 224 231 84 122 150 235 179 211 207 8 19 17 151 127 69 85 165 170 228 226 122 137 100 96 41 82 76 73 85 230 105 55 36 107 92 178 167 21 239 146 50 16 231 166 167 229 179 76 182 103 42 8 208 51 153 142 169 242 143 251 185 23 71 124 191 92 214 7 239 111 153 216 212 55 126 116 236 204 134 67 191 242 45 220 173 248 154 112 235 209 246 171 82 248 70 27 80 244 155 226 186 98 179 222 72 92 245 39 236 208 241 252 94 75 201 131 160 208 82 211 101 123 168 138 75 54 12 202 170 15 138 134 54 169 136 208 150 92 7 184 166 201 198 180 118 44 30 95 226 47 25 160 83 16 128 156 214 50 123 41 156 25 66 238 103 94 111 125 126 47 156 170 90 175 191 174 27 58 24 143 185 183 57 210 250 215 15 223 50 214 183 98 252 232 254 35 71 38 254 229 117 31 254 100 56 38 76 135 190 31 15 74 166 231 136 135 228 189 25 220 235 161 115 252 22 222 166 195 203 180 148 73 50 124 224 171 128 27 95 66 117 215 117 163 96 134 167 73 85 187 63 225 208 141 247 153 116 50 152 57 183 20 242 171 193 141 191 240 61 73 46 103 202 247 46 246 19 86 243 231 109 155 24 63 50 10 120 71 119 110 94 253 171 127 141 131 183 53 210 227 216 21 125 235 82 143 90 252 95 31 241 128 139 203 113 227 175 185 179 204 161 247 4 11 225 189 233 165 30 14 223 194 145 159 16 114 172 209 243 36 184 170 187 53 125 254 246 137 13 187 71 55 61 183 127 244 190 227 135 126 5 234 85 235 153 81 95 242 233 70 13 46 64 184 174 238 240 47 110 70 250 152 154 208 112 117 111 155 110 40 3 59 166 241 122 63 237 250 87 110 109 237 213 153 197 11 215 100 60 13 115 237 29 11 87 46 73 140 151 174 244 195 68 224 104 67 190 45 232 111 248 70 212 36 119 14 55 135 63 185 35 226 87 63 82 122 117 206 191 240 39 51 92 156 69 246 4 183 114 162 127 137 158 13 195 163 250 18 96 155 245 37 24 144 189 141 134 143 25 126 213 235 242 76 98 111 170 113 191 184 255 200 206 221 128 119 247 222 209 177 127 127 157 183 228 191 90 35 2 113 35 0 184 225 219 137 176 225 18 13 97 105 205 131 225 26 134 118 26 61 226 176 160 38 239 184 16 92 53 196 158 42 215 153 121 129 81 22 152 187 26 221 47 15 95 171 5 56 249 223 12 220 196 153 24 153 217 209 208 229 126 133 115 149 1 159 161 255 181 238 79 243 23 234 145 170 153 8 98 75 200 90 239 95 218 63 52 85 148 165 70 15 10 49 101 188 230 218 193 114 42 163 245 14 82 83 87 218 176 121 231 3 128 247 240 206 216 222 13 91 95 95 100 14 106 126 82 2 218 214 213 244 70 71 221 168 171 5 3 79 118 168 149 53 55 158 81 161 214 220 218 142 94 66 215 220 63 80 87 47 217 130 69 45 216 39 47 192 167 154 164 251 150 183 62 76 108 138 203 151 130 235 249 25 157 49 93 48 126 44 29 237 211 116 224 122 83 184 37 12 139 202 108 205 127 30 33 171 42 161 30 177 80 244 173 71 18 165 0 174 41 3 13 55 198 40 106 1 180 118 71 70 21 229 171 96 238 132 27 238 233 183 220 56 190 119 239 238 241 238 254 157 177 216 190 238 63 255 113 145 246 248 53 114 177 152 44 214 26 146 53 177 72 58 55 84 126 8 95 136 231 53 162 238 132 80 162 128 235 205 90 7 41 153 11 155 93 189 86 107 212 190 20 196 135 108 217 17 225 155 166 237 186 38 119 244 152 217 129 8 154 182 123 77 195 125 65 199 95 255 124 184 209 106 184 182 13 120 135 117 181 208 213 6 235 142 24 113 177 8 114 182 210 34 208 72 147 245 239 145 83 40 187 127 164 243 218 129 83 118 83 184 88 87 172 236 248 72 54 108 129 188 67 246 54 107 248 39 0 137 69 123 215 207 188 105 124 252 103 130 227 23 199 110 244 61 16 219 187 115 252 16 225 125 96 112 245 99 255 228 111 242 248 217 55 126 232 151 134 134 222 252 154 123 139 226 27 168 101 119 148 75 114 69 64 127 77 199 38 146 20 238 27 112 217 168 145 158 141 240 29 25 119 112 123 90 23 158 242 51 64 106 14 14 19 143 223 88 230 125 122 65 22 212 83 175 133 175 1 245 176 115 10 50 245 154 173 23 188 217 132 163 13 97 86 189 33 181 84 139 200 108 221 110 212 235 40 150 122 51 66 86 113 169 49 19 122 12 142 40 209 110 74 188 13 65 180 206 185 53 33 27 2 138 213 92 167 83 111 138 121 27 172 170 191 253 240 193 241 241 241 77 155 6 7 7 55 240 56 51 26 195 1 120 15 223 23 3 204 103 198 39 30 62 180 250 212 158 85 143 220 243 242 16 143 123 147 180 134 163 238 212 144 96 135 14 119 4 228 32 148 11 226 128 171 153 116 9 163 88 232 78 163 166 157 191 128 11 56 244 253 144 120 116 104 71 168 123 205 58 10 101 217 111 219 254 176 201 152 220 63 244 201 28 126 141 180 182 230 190 24 156 11 175 26 245 78 128 224 21 32 138 245 234 36 156 47 114 182 102 54 212 204 87 244 70 227 82 143 8 217 141 240 75 159 38 25 106 215 153 53 10 76 7 249 162 54 52 154 140 196 174 57 117 183 99 219 49 196 217 169 213 237 78 19 160 115 161 55 237 63 124 240 224 166 193 190 35 187 247 2 214 191 33 7 224 61 120 104 28 240 62 176 115 247 232 145 227 103 250 6 15 31 122 215 163 10 223 215 92 119 9 87 67 180 148 18 94 163 31 44 197 63 243 29 249 36 226 71 36 186 174 255 12 194 42 133 214 112 94 10 238 253 65 163 193 138 26 214 177 52 162 123 206 97 68 80 179 27 250 155 192 197 11 211 211 151 162 162 136 186 247 167 190 16 222 175 215 107 250 130 218 93 107 52 195 47 65 164 93 212 168 12 40 60 1 179 249 165 112 38 83 223 4 127 59 78 72 214 186 224 183 16 221 92 118 28 183 102 163 75 213 106 142 107 195 69 80 30 149 80 171 215 59 29 27 196 110 56 118 12 21 67 225 64 252 29 183 230 52 139 111 186 177 127 255 254 195 135 199 7 143 239 244 193 13 224 221 185 119 239 78 192 187 111 197 241 51 131 99 31 121 244 158 237 194 222 215 124 1 216 118 108 216 109 176 65 56 48 135 37 176 80 237 37 93 164 240 191 54 191 24 217 225 112 43 129 155 157 112 95 6 105 113 92 29 224 60 166 192 74 192 214 239 215 154 78 195 137 110 65 81 45 63 136 104 141 91 11 148 232 51 17 133 111 212 94 12 225 5 207 26 218 194 172 221 1 188 29 213 240 28 56 194 106 14 101 86 109 214 192 56 247 183 116 66 237 90 7 64 134 53 56 77 218 195 128 8 1 57 140 223 240 25 52 179 1 72 195 238 52 176 57 112 98 0 2 215 44 213 6 232 219 168 191 125 108 236 198 225 131 128 120 255 248 134 35 247 197 2 120 15 3 222 251 20 186 103 6 15 175 126 53 181 97 251 118 32 252 54 188 200 57 29 216 115 106 157 6 82 73 112 235 78 7 197 162 139 20 105 139 188 253 44 126 177 225 128 25 100 116 88 200 115 29 104 139 221 175 9 137 249 78 71 147 27 251 96 228 79 51 233 55 216 145 236 181 193 92 112 170 19 98 19 178 11 145 107 120 27 77 33 89 80 29 253 112 176 1 197 106 52 58 78 157 159 40 143 30 153 229 112 116 223 154 38 235 39 129 26 234 222 125 41 148 30 112 9 156 5 110 245 38 127 28 246 160 122 205 233 64 23 154 205 102 7 87 157 122 12 11 59 13 180 84 64 208 108 160 63 197 215 76 140 221 128 246 30 188 49 54 49 166 16 134 230 142 142 173 62 56 10 116 247 173 216 112 240 185 199 30 92 245 186 39 223 250 170 183 82 29 238 124 119 219 238 216 142 77 56 234 118 205 134 242 128 39 172 154 107 97 103 107 54 237 186 118 126 6 82 132 235 142 99 71 58 27 169 224 232 0 255 78 173 211 1 181 52 185 231 28 40 135 222 83 45 222 236 64 51 27 53 13 157 27 225 101 64 182 254 166 227 212 107 154 203 168 47 240 75 139 77 7 62 129 181 168 126 8 100 71 170 203 113 191 28 42 7 137 9 66 118 156 223 12 201 138 252 162 102 244 10 96 12 0 183 185 237 168 57 182 109 179 171 35 85 141 142 108 147 32 36 54 197 57 134 26 96 29 130 114 54 27 96 189 86 220 53 65 92 251 250 6 15 78 28 59 118 108 255 230 51 192 117 197 227 171 199 142 239 59 190 225 96 247 212 158 61 123 30 124 231 187 126 249 61 239 124 232 229 161 55 223 123 61 141 228 52 176 203 170 59 204 182 3 213 169 59 78 205 9 177 250 114 167 134 202 111 124 95 111 199 133 47 108 186 117 221 228 47 217 96 116 199 126 33 136 69 172 52 117 101 162 81 218 205 250 39 117 27 236 212 145 34 253 103 49 14 182 95 10 223 52 166 231 214 2 89 167 129 22 254 98 40 222 232 189 157 224 165 119 1 251 79 208 205 105 178 5 1 10 224 83 119 194 55 200 6 152 232 112 223 88 235 204 106 178 58 117 138 175 174 193 23 234 29 116 52 180 91 74 83 179 129 144 155 118 19 80 218 118 173 209 105 54 169 5 8 177 30 67 88 110 19 213 13 113 131 56 216 32 98 242 196 250 137 137 241 190 125 163 251 206 108 222 255 248 209 163 71 143 141 15 110 58 180 122 245 141 177 67 167 54 110 220 179 113 235 177 241 205 155 199 255 242 238 237 67 175 249 224 143 138 53 78 129 101 24 133 117 20 5 140 35 101 174 51 233 59 242 159 185 103 115 154 186 45 79 3 91 142 66 198 117 183 251 60 70 160 113 104 250 32 67 200 150 222 122 212 108 94 7 225 255 128 235 53 244 30 235 5 14 110 104 116 127 7 132 178 109 146 7 164 12 54 114 47 34 178 166 29 180 198 153 121 8 15 254 67 161 57 208 52 110 194 81 183 225 95 37 58 96 46 16 179 1 77 132 172 14 133 85 23 201 63 132 90 177 157 57 200 146 139 90 163 178 18 112 36 142 26 9 177 108 66 148 157 24 124 5 206 13 150 8 236 113 181 142 123 255 58 176 182 79 196 160 111 211 196 115 135 14 1 220 173 91 79 157 122 236 177 83 171 247 111 88 177 111 69 223 224 127 127 104 251 208 43 223 13 83 136 13 101 222 4 69 107 164 45 64 118 154 208 162 78 227 66 184 137 132 7 95 12 101 22 137 132 12 57 88 49 220 187 58 144 94 71 171 41 152 3 30 232 202 188 2 248 154 174 126 218 143 46 3 116 130 167 159 7 87 194 135 191 131 39 240 5 181 143 82 210 21 52 235 16 242 5 253 253 6 8 0 47 108 72 6 100 140 254 53 156 122 40 179 144 174 26 211 223 9 201 250 153 6 183 157 182 115 37 108 156 144 47 54 28 144 86 88 11 153 169 145 36 232 103 142 116 178 26 34 170 197 72 58 204 109 16 93 155 224 96 120 173 184 237 45 143 143 109 24 221 121 223 125 59 119 67 109 143 42 116 79 29 2 182 0 125 116 197 134 255 241 208 208 7 158 120 119 26 21 3 231 176 47 233 80 16 240 206 7 17 134 19 100 178 222 179 142 112 191 23 10 231 226 60 18 142 109 66 173 217 153 139 110 81 225 100 16 224 151 237 14 149 188 19 104 197 66 147 11 104 226 124 177 206 212 52 95 212 175 21 168 159 96 234 204 60 53 151 97 163 230 29 59 152 115 9 233 235 56 65 194 49 6 140 130 190 131 232 74 32 48 212 9 95 71 154 164 76 147 152 135 100 69 107 112 58 145 173 241 175 49 10 135 185 228 166 6 173 6 48 218 114 106 243 1 125 2 229 26 128 23 149 106 211 162 64 132 221 49 22 107 86 238 95 121 244 241 205 251 238 123 0 199 206 209 190 253 171 137 238 68 223 190 221 59 65 233 35 27 254 242 173 219 239 124 255 183 248 182 96 163 77 2 9 182 85 152 33 147 145 42 160 227 4 216 205 212 233 167 29 121 129 128 235 224 46 28 9 187 29 82 234 212 59 129 156 60 195 230 11 247 53 248 117 230 237 143 130 203 23 103 95 122 233 203 179 47 232 111 183 88 230 255 202 191 152 132 241 14 139 3 152 217 225 10 179 29 112 224 139 186 113 66 202 185 11 181 169 187 196 2 251 127 167 115 33 148 89 59 208 227 79 106 178 118 24 103 248 98 63 195 189 0 176 2 49 49 219 5 156 12 75 218 36 132 146 202 6 217 168 119 168 189 144 169 38 31 131 49 124 66 78 131 200 223 218 245 220 115 227 251 30 216 187 119 47 240 221 188 26 232 62 54 182 98 116 116 247 238 221 251 54 188 231 158 55 223 251 163 36 104 210 20 60 65 46 66 134 77 14 24 33 247 34 120 254 49 146 14 147 250 85 125 210 169 171 84 58 90 157 23 95 16 178 104 118 45 52 185 165 15 181 66 188 178 135 151 255 27 243 76 157 106 164 167 210 18 176 234 16 229 208 137 23 113 237 60 237 95 124 137 138 11 85 235 136 19 140 30 147 236 80 189 65 58 130 2 133 9 155 195 8 73 233 132 98 113 145 224 211 105 91 218 120 71 209 157 140 38 134 136 24 219 40 222 140 33 84 214 129 45 41 115 28 85 23 16 107 116 184 41 190 74 196 246 238 189 111 197 196 169 213 19 221 141 91 55 236 27 29 69 195 251 249 183 126 232 131 69 151 168 178 4 4 172 26 107 82 80 147 85 96 237 162 222 5 136 205 240 207 18 82 122 130 111 164 219 49 249 90 138 71 132 78 154 122 159 33 193 156 249 219 252 9 127 146 69 171 205 223 228 196 154 228 23 97 69 180 23 197 225 47 247 71 170 175 145 187 54 157 70 34 161 244 245 112 79 64 97 113 136 71 184 230 12 180 148 216 133 91 227 70 173 238 99 197 177 114 210 104 10 188 212 161 166 0 143 10 141 57 53 133 186 16 177 46 60 161 130 112 235 250 227 67 71 143 224 197 120 239 238 77 91 79 29 236 27 92 189 241 232 153 125 251 142 172 216 124 247 29 31 44 74 101 169 252 35 60 48 183 41 55 36 75 78 180 207 207 225 58 210 181 112 45 75 224 136 124 133 38 104 107 57 241 159 7 228 126 90 22 233 191 13 188 35 152 219 12 167 146 137 140 197 110 246 136 3 188 235 215 14 216 42 195 36 7 1 166 168 117 162 200 53 169 94 168 104 237 17 210 211 148 148 252 113 52 10 9 30 72 10 251 157 224 176 3 246 112 155 234 196 58 234 66 1 229 116 100 135 164 78 59 238 251 14 29 39 188 125 171 79 77 28 31 221 55 248 216 198 195 199 87 28 239 251 111 247 188 225 122 199 159 208 116 194 15 54 36 109 231 183 194 78 6 123 97 91 94 164 3 66 242 78 180 219 241 152 14 165 66 74 65 111 61 122 158 46 253 190 76 22 15 137 78 50 53 125 39 66 182 129 189 206 197 64 251 237 94 36 20 11 181 240 83 102 131 249 33 228 126 148 122 107 60 79 34 133 152 6 71 77 134 217 13 219 95 195 142 249 88 235 161 205 112 113 119 165 176 119 197 209 83 221 62 168 238 190 253 123 54 110 234 235 219 240 225 123 238 172 104 91 145 163 19 189 232 95 140 68 99 219 63 88 140 4 186 212 249 11 234 250 98 79 44 157 249 144 159 188 156 93 78 119 47 206 45 55 245 214 37 102 67 115 11 183 130 34 199 112 207 114 189 102 165 4 113 140 232 87 151 40 95 101 143 225 56 193 239 158 220 197 122 214 40 244 92 221 191 117 108 247 222 216 232 141 83 91 7 247 161 167 237 60 126 232 193 141 227 131 155 111 60 244 129 235 122 76 126 169 155 249 222 192 38 213 229 236 98 239 245 114 247 134 123 216 26 213 10 30 51 183 26 184 21 155 254 37 247 131 162 153 205 6 14 13 223 50 87 197 28 145 217 240 152 233 45 175 80 160 38 157 159 242 80 240 230 179 33 76 217 108 112 246 138 173 155 118 222 183 115 243 169 83 227 178 101 216 185 115 240 193 71 223 117 112 124 236 209 161 39 220 96 140 37 83 0 106 33 235 95 8 194 217 217 144 79 249 168 163 17 126 133 210 155 167 133 249 48 150 124 52 65 23 197 228 218 37 6 10 92 53 56 230 123 96 48 195 37 130 20 61 157 15 164 102 154 83 67 22 101 151 142 196 114 249 224 126 72 86 53 33 27 236 61 22 63 177 148 137 81 83 81 162 198 128 75 65 61 18 112 10 188 159 83 207 254 195 214 190 157 187 251 86 111 60 118 134 59 6 192 123 228 127 63 242 228 71 39 142 189 115 251 157 69 5 162 252 139 174 84 240 249 155 239 233 100 5 167 167 179 21 100 76 175 244 102 245 181 207 175 108 88 240 249 66 200 67 236 74 49 182 64 35 121 254 202 230 151 76 205 71 221 9 64 155 14 210 51 51 159 245 189 44 8 33 200 165 44 47 191 18 77 95 246 54 100 157 141 70 17 129 179 96 42 82 230 213 221 188 163 207 99 254 192 92 180 204 37 127 249 251 31 235 30 31 61 115 116 227 234 13 71 142 16 223 209 125 43 54 188 243 142 87 125 228 241 143 222 1 117 40 132 176 230 243 160 191 159 65 15 133 144 115 178 154 108 120 132 127 225 198 97 173 63 173 160 183 161 224 139 135 235 124 200 214 172 0 167 191 90 39 128 33 113 192 130 60 33 156 123 122 118 118 122 132 19 157 130 158 154 15 163 246 28 51 159 253 152 198 108 50 220 133 88 154 253 121 32 92 200 203 85 15 114 22 105 150 15 61 252 170 79 185 197 104 84 42 61 5 134 142 122 201 23 84 194 179 218 120 129 183 98 62 170 89 210 214 196 140 124 222 231 99 225 21 27 199 86 172 24 219 120 106 211 241 21 43 206 12 142 111 238 59 126 102 195 135 159 28 122 232 151 63 242 42 170 131 149 229 124 25 169 164 37 155 85 133 7 199 114 90 244 132 122 217 240 245 23 11 209 131 145 57 107 56 210 252 11 17 106 124 66 28 204 234 202 156 47 68 137 51 75 47 129 232 130 38 35 92 214 83 243 166 31 31 82 98 102 173 144 189 129 58 141 8 32 126 149 33 84 248 108 9 38 51 145 206 86 32 50 176 16 190 199 21 114 140 110 109 216 159 49 147 57 198 56 166 34 219 67 78 197 100 83 220 136 249 152 176 206 84 2 128 90 193 196 232 252 47 108 28 239 59 184 113 227 24 96 221 180 250 213 171 86 189 243 195 131 131 155 62 250 242 246 187 223 245 208 208 157 110 222 178 178 42 255 254 145 99 145 228 242 74 217 38 67 209 131 183 61 240 230 44 103 30 120 132 47 97 243 116 213 203 6 1 254 109 43 27 237 74 159 114 164 134 23 245 38 216 34 91 254 65 84 123 52 54 115 64 84 192 179 88 240 102 86 175 59 237 91 155 36 34 5 71 145 43 199 18 197 240 28 102 205 71 28 100 250 114 240 90 39 120 134 120 1 96 189 213 121 26 112 98 190 20 121 1 222 100 115 74 96 243 62 202 249 130 165 80 46 196 178 34 160 5 226 111 230 57 5 169 243 248 228 254 61 167 14 30 60 181 231 185 193 190 193 199 247 172 90 245 186 71 238 121 242 31 255 159 131 19 143 14 189 124 247 221 67 80 135 172 149 21 201 201 21 114 57 44 158 203 250 13 18 92 182 178 255 70 51 211 68 52 94 168 179 5 200 135 211 243 231 244 201 188 73 30 233 96 232 0 252 12 164 119 82 234 67 135 255 89 147 210 160 159 126 140 74 17 78 37 73 60 136 66 86 9 136 102 239 199 253 241 107 193 30 186 135 20 229 64 57 22 182 231 144 242 97 254 25 58 149 193 41 60 29 122 232 153 108 81 122 107 252 181 188 210 88 113 141 152 9 95 11 38 217 105 21 148 24 224 26 152 198 36 9 121 211 68 18 242 162 36 5 79 72 92 120 197 158 173 19 91 247 156 218 191 233 198 99 171 86 189 241 137 235 63 247 161 151 183 63 244 158 135 161 12 119 60 185 125 232 137 154 89 144 188 48 83 92 199 36 192 248 93 176 32 191 102 88 106 89 202 78 4 94 44 215 251 2 246 39 158 104 237 215 252 203 95 7 48 86 46 132 108 26 196 142 52 246 126 43 111 57 185 175 135 246 49 59 152 250 29 44 158 43 32 85 224 30 178 142 104 254 36 0 40 40 234 66 206 36 99 161 80 89 12 165 134 192 91 203 201 254 105 164 207 2 1 50 113 68 235 197 199 144 50 203 204 21 62 173 87 205 91 112 57 135 52 22 168 240 148 153 66 214 195 168 156 135 130 144 86 233 160 72 11 57 104 111 150 241 176 166 77 164 149 202 91 224 147 66 246 23 246 108 221 186 103 207 161 135 183 190 250 209 215 253 151 119 183 157 122 251 206 161 161 59 30 125 215 163 47 15 221 241 50 212 129 117 150 207 155 204 158 108 203 76 114 162 32 189 205 12 90 202 76 94 154 140 245 177 240 29 22 99 191 18 69 119 22 34 137 108 155 1 87 102 201 246 172 166 231 226 159 194 117 207 209 6 62 70 106 121 11 225 86 1 253 34 152 58 105 21 114 158 5 215 29 203 51 179 68 88 239 157 3 41 65 25 99 66 206 50 179 57 207 67 166 77 217 133 132 3 23 23 159 71 138 100 152 110 118 195 57 7 236 195 216 80 44 176 85 240 44 75 73 12 10 129 12 64 150 68 179 205 124 14 132 67 127 135 62 152 249 24 89 135 17 72 54 238 103 169 70 86 14 56 59 247 63 248 224 198 87 191 122 207 70 128 251 179 79 252 176 6 127 243 141 123 223 60 180 253 85 119 191 117 104 232 229 161 15 252 91 64 11 77 161 146 89 96 108 206 100 77 230 80 186 22 138 228 19 1 86 30 161 178 34 181 247 21 43 90 137 196 203 242 144 79 79 183 167 153 111 228 225 204 100 216 164 233 151 21 104 237 226 199 209 76 172 111 6 194 61 141 156 230 245 30 251 223 193 29 148 30 59 128 69 254 102 195 26 80 56 229 21 147 96 31 126 102 1 47 78 40 209 89 47 116 233 59 191 139 170 52 205 223 213 249 93 252 30 229 222 177 162 223 64 248 27 210 2 107 29 255 200 96 16 203 242 91 38 210 107 49 3 32 114 12 107 152 5 201 143 7 104 152 78 106 190 85 248 91 171 86 173 122 148 146 251 228 27 222 239 154 76 103 222 105 188 255 53 128 150 127 35 30 26 122 162 99 89 30 29 177 0 172 3 58 88 150 233 193 93 28 158 23 248 246 109 47 143 65 133 236 217 48 198 207 142 100 191 25 121 193 189 136 196 155 204 171 46 197 79 47 204 125 226 215 67 114 3 123 200 139 14 109 102 222 204 143 232 199 35 204 168 165 27 188 153 135 11 136 21 122 90 16 149 176 122 224 253 26 98 204 154 240 7 145 178 71 192 101 136 42 40 15 29 137 36 225 187 243 214 218 103 195 206 59 11 173 131 160 90 185 143 235 20 51 39 168 66 4 46 169 192 99 148 24 43 38 111 162 223 155 5 207 203 123 158 8 71 44 7 224 144 110 44 131 213 112 131 34 130 205 131 249 198 215 189 238 145 71 30 121 242 158 59 126 238 11 77 217 196 129 69 94 190 245 202 161 161 33 254 253 125 232 149 13 212 84 94 26 9 130 66 10 45 216 200 155 185 28 206 179 250 37 21 107 154 57 51 103 221 230 203 218 197 153 179 5 105 68 150 119 155 1 79 83 110 194 13 44 102 204 134 201 249 56 84 54 103 190 55 184 4 105 217 103 61 203 131 68 0 247 108 46 215 179 150 201 232 241 131 141 5 10 194 67 18 128 11 224 166 140 94 92 188 157 135 35 68 23 81 153 122 72 63 171 4 132 50 17 92 30 104 65 136 145 84 0 9 73 71 199 244 168 110 136 26 132 55 99 172 33 143 133 14 93 246 216 168 0 62 211 250 198 123 112 220 113 199 135 158 112 33 12 120 2 83 120 236 184 16 8 57 94 217 134 29 203 179 40 17 152 132 46 201 97 80 53 200 190 38 235 60 10 1 55 115 225 91 193 146 227 211 223 200 122 158 73 170 221 102 192 247 216 220 11 230 55 150 123 246 185 179 89 176 36 247 89 93 179 168 243 60 57 153 103 39 50 61 160 24 29 254 44 112 183 76 58 8 47 45 172 155 69 57 195 0 32 178 114 127 255 118 240 206 65 248 60 82 52 252 210 103 222 99 69 114 103 80 32 172 224 87 150 224 18 89 102 16 245 106 82 153 209 251 173 152 197 29 138 39 132 70 165 145 0 22 23 246 94 249 50 142 237 119 254 235 10 43 42 79 192 177 142 85 240 58 239 127 131 192 251 182 52 96 3 77 32 181 52 138 115 144 20 38 145 106 83 191 164 82 42 28 19 6 71 110 231 253 44 102 160 190 45 179 247 27 49 173 189 35 112 9 213 183 28 187 102 214 178 6 61 221 20 63 110 114 51 64 63 185 145 34 135 115 209 164 205 124 29 222 230 33 30 8 30 237 20 193 160 126 61 57 64 148 194 236 242 220 93 48 73 25 15 180 244 66 9 71 61 162 163 32 237 232 230 52 132 109 175 135 155 164 101 142 173 30 122 89 160 125 139 226 96 161 232 41 86 30 65 202 145 213 240 195 123 255 47 13 13 125 224 222 98 19 35 243 76 6 124 96 225 161 2 146 111 3 129 239 188 110 99 38 17 46 192 87 172 14 168 65 2 102 198 244 2 62 93 196 58 30 203 209 179 190 186 120 219 191 54 192 120 54 156 163 72 61 175 123 35 185 5 195 107 111 153 56 188 86 36 206 178 2 96 70 176 50 89 155 23 100 89 74 94 84 114 38 73 14 84 39 118 235 22 55 90 168 233 60 43 214 163 168 89 222 200 204 50 206 97 13 147 250 6 15 61 237 193 87 37 41 14 127 208 184 136 137 71 110 161 190 11 44 9 120 139 226 32 107 97 60 38 201 35 13 153 119 16 81 218 42 18 150 107 61 241 196 117 215 102 134 49 25 10 202 116 228 184 154 229 252 240 222 15 66 144 115 72 28 189 37 115 49 140 172 199 57 59 92 16 240 87 160 41 180 78 169 155 188 29 190 253 38 183 178 230 55 255 110 4 137 175 231 244 43 156 39 121 243 114 207 47 77 203 60 120 133 92 22 44 159 189 147 158 98 99 150 160 115 18 179 29 253 179 6 28 161 143 234 32 197 129 8 51 226 169 118 60 242 157 91 133 255 155 144 61 89 157 251 101 31 255 207 121 92 55 203 88 61 73 48 248 39 38 217 221 229 148 5 199 37 80 30 49 201 52 5 144 77 21 102 72 151 2 149 201 115 58 5 202 41 159 208 171 2 213 195 202 49 239 166 211 180 8 38 87 134 234 90 228 59 77 48 45 44 73 253 146 202 245 153 86 46 215 223 219 222 62 247 185 112 227 203 89 222 215 131 164 124 174 31 142 43 204 158 207 115 127 202 221 0 194 143 234 195 197 247 146 158 120 82 40 248 180 154 61 203 238 192 216 132 183 38 195 54 179 145 116 120 210 242 24 15 185 166 102 203 190 7 140 64 59 68 57 63 223 227 225 240 211 35 172 59 96 35 238 121 254 171 231 236 239 163 21 176 47 34 65 102 176 28 147 84 144 2 166 84 64 30 36 185 200 103 76 22 202 41 168 114 42 11 24 169 242 34 185 145 12 75 223 18 135 248 168 64 165 102 101 229 73 105 127 121 112 52 175 252 215 101 228 177 139 103 61 149 201 188 183 246 219 179 179 68 254 211 179 147 223 27 241 206 6 255 207 12 151 166 66 121 239 125 118 118 246 226 179 107 185 84 62 247 221 139 179 79 143 168 28 122 166 114 236 247 251 63 49 57 139 33 223 238 255 70 94 18 171 158 22 214 78 206 78 126 215 203 41 214 22 104 204 11 88 26 162 245 94 241 19 40 160 164 85 144 38 37 66 86 96 94 178 52 181 246 171 23 233 225 240 236 36 220 200 9 38 150 169 104 10 163 115 88 167 63 23 0 101 42 33 228 118 212 47 8 44 110 9 32 57 33 31 115 19 243 17 21 122 18 12 145 14 73 136 194 29 195 178 10 111 42 135 25 228 128 215 166 42 68 105 113 57 133 44 163 246 130 46 252 41 51 24 154 43 248 41 12 42 211 11 179 0 77 84 121 247 196 140 208 213 202 123 17 191 114 194 4 105 85 158 15 171 255 44 175 113 148 185 4 79 47 34 135 86 156 217 200 176 124 224 76 193 84 134 8 187 191 161 83 88 251 133 169 210 229 187 161 12 23 114 129 33 83 209 95 105 151 21 46 105 74 195 87 51 172 152 88 87 232 168 38 153 211 48 41 204 21 206 210 182 44 127 29 75 195 148 243 150 57 130 86 254 180 134 51 28 166 214 85 19 69 78 63 117 182 23 244 16 174 192 93 241 72 245 248 188 138 41 184 239 95 20 150 76 207 249 53 135 67 239 7 158 247 159 248 193 133 221 207 148 31 51 244 83 159 6 209 89 75 194 211 2 110 170 103 214 178 32 100 101 118 108 201 93 243 150 240 150 63 150 95 89 29 179 61 33 221 110 20 249 123 113 246 217 179 222 242 168 22 150 155 96 253 116 247 204 91 92 25 214 55 205 8 215 204 229 214 48 151 191 29 76 202 69 215 243 11 73 219 206 69 6 179 10 114 49 239 255 233 72 220 230 188 71 240 214 254 4 3 169 229 110 158 24 224 111 99 153 251 39 253 219 198 50 179 78 158 84 78 156 59 161 124 137 142 153 9 51 157 248 41 66 249 255 57 18 203 249 22 235 141 180 170 175 82 81 63 125 23 140 37 206 24 203 66 165 183 80 234 97 42 58 41 21 25 159 136 26 231 189 149 221 238 192 50 41 216 118 185 219 237 174 75 220 130 73 89 121 176 173 59 165 134 94 238 166 228 36 116 54 181 86 191 123 47 7 107 202 15 32 161 134 211 70 162 236 207 77 68 226 50 140 48 107 202 184 140 74 164 140 68 20 133 84 116 142 151 16 251 177 192 27 26 214 142 45 71 206 68 8 183 17 185 205 193 134 17 1 228 236 167 130 205 83 73 1 167 70 166 12 229 146 242 45 101 168 68 42 111 202 52 144 0 78 187 82 61 203 26 92 243 116 183 187 18 0 159 192 66 137 84 16 92 66 168 96 112 249 3 221 149 41 82 103 160 219 245 103 34 163 41 89 118 36 112 229 89 185 37 49 139 203 134 231 155 50 130 132 84 253 53 83 165 16 163 82 152 227 106 185 23 143 148 10 156 35 50 17 72 82 75 43 34 70 71 170 254 12 197 111 56 70 44 74 134 54 110 248 196 77 68 144 164 233 148 230 188 186 3 56 250 47 70 222 241 13 12 50 96 180 74 90 149 19 122 209 50 92 51 130 242 16 35 25 32 180 174 187 197 224 104 149 94 35 101 40 243 83 221 3 137 147 228 117 42 140 153 143 177 108 66 242 52 160 216 181 171 187 82 113 16 23 229 148 55 242 159 102 35 95 28 165 82 6 60 79 249 196 209 53 42 78 208 47 132 92 46 107 222 36 48 86 121 146 40 7 244 76 120 229 132 151 81 216 150 84 162 152 51 3 23 41 122 98 100 148 64 164 104 84 102 100 48 39 22 212 133 145 73 144 31 94 16 159 225 115 45 21 164 195 80 153 22 172 141 140 161 168 25 208 1 227 171 4 241 249 232 151 97 213 32 0 79 49 60 17 124 166 84 158 233 17 96 246 81 223 50 213 189 188 203 219 182 190 219 221 226 165 78 78 173 59 221 29 128 99 41 144 114 160 122 178 59 117 206 56 177 6 60 62 87 78 112 200 154 115 158 119 224 114 247 242 54 207 216 50 117 206 59 177 190 187 114 13 210 96 224 222 212 105 2 191 118 166 231 203 28 35 81 34 109 64 25 224 149 241 215 76 249 96 136 91 168 116 2 84 21 116 133 213 0 196 40 11 199 18 101 226 97 40 150 149 60 9 157 33 168 250 75 85 145 77 164 56 81 165 61 102 41 67 219 98 55 198 10 148 225 137 12 107 81 6 9 83 69 48 82 176 69 220 75 188 35 168 36 184 120 73 141 16 196 170 42 251 24 1 124 35 65 61 139 250 103 162 153 209 170 148 52 83 82 194 168 4 162 148 100 120 70 89 165 13 17 60 5 1 152 218 182 13 8 118 187 167 89 241 221 238 54 2 0 120 215 3 191 115 198 201 169 238 122 48 153 90 139 103 7 64 246 203 235 187 83 36 246 57 3 64 95 230 248 117 221 41 96 15 243 169 232 43 222 167 0 30 217 43 152 150 74 36 37 192 132 212 224 128 91 8 50 85 22 20 140 114 70 145 202 32 204 120 88 202 16 66 197 6 204 46 165 20 207 137 10 199 24 82 77 176 131 21 75 2 89 201 215 240 146 42 47 47 150 48 170 96 177 145 65 138 240 81 230 227 20 121 156 73 1 196 146 68 143 7 165 50 134 203 21 6 87 171 92 218 80 90 146 34 66 169 132 202 210 123 35 95 133 9 226 176 1 217 98 96 229 82 53 37 5 148 41 169 22 80 46 115 25 64 79 174 192 200 137 110 55 145 186 220 61 144 90 217 61 144 33 81 15 72 157 227 86 247 242 9 196 176 165 187 6 144 30 0 148 167 203 43 187 187 170 96 245 137 238 84 102 91 247 114 10 73 57 135 159 147 128 250 196 83 48 211 243 186 182 56 51 34 172 146 82 43 7 237 165 92 21 13 166 247 112 190 10 234 208 159 178 223 181 74 128 64 169 115 25 36 33 210 70 9 207 203 20 205 68 21 148 174 50 166 50 199 9 148 153 148 234 77 41 66 47 98 155 40 1 70 138 3 243 196 117 19 90 233 13 148 143 159 19 248 129 32 209 122 82 188 145 194 250 248 33 150 202 30 7 151 50 160 40 13 86 75 169 16 222 217 179 88 155 180 128 25 143 133 9 182 26 162 87 25 82 24 182 19 226 79 213 39 111 185 68 237 4 62 39 129 231 46 249 1 229 82 165 146 113 18 124 236 110 51 18 83 32 53 144 175 110 219 5 153 237 14 96 232 22 227 192 137 50 20 187 68 228 65 234 234 174 238 229 140 116 184 132 23 253 222 82 208 96 165 0 170 140 8 86 153 44 73 65 13 50 213 76 73 117 167 50 174 201 219 170 40 34 153 4 22 129 27 70 73 73 73 89 120 138 2 36 27 124 65 203 136 180 177 130 171 85 202 37 27 74 89 117 18 172 196 114 225 198 44 83 45 147 181 37 67 102 74 193 150 5 110 16 22 244 51 124 225 198 21 221 44 115 189 114 85 109 210 8 190 244 192 114 169 12 163 193 183 122 195 207 3 28 192 78 239 82 94 38 83 230 152 12 220 175 178 173 51 45 140 1 169 147 27 172 27 175 186 165 187 46 117 26 213 126 94 97 119 14 85 91 102 169 120 79 129 202 34 2 60 78 164 206 29 152 194 103 217 88 73 5 174 146 200 198 122 104 197 129 238 26 152 224 177 6 225 165 194 255 63 240 108 9 94 26 66 135 68 57 99 84 225 103 2 138 7 174 162 36 89 64 85 69 83 84 89 130 202 91 165 82 84 13 214 154 218 111 144 28 101 50 80 58 81 21 147 75 82 8 153 82 73 66 2 2 96 76 6 119 51 42 74 17 135 84 9 2 100 196 16 31 214 52 164 24 64 22 152 34 29 133 227 168 99 152 5 78 20 120 150 139 87 45 81 35 100 103 69 187 170 146 0 66 6 21 3 205 40 151 71 254 163 250 86 38 99 148 97 134 138 2 87 89 122 224 50 58 10 168 142 216 193 243 42 157 173 210 158 129 206 128 117 170 213 245 40 122 208 144 189 172 202 138 47 35 12 163 124 126 205 129 178 1 124 7 128 252 129 3 7 182 165 206 163 139 29 232 174 47 151 207 17 223 76 6 143 82 248 1 218 7 192 249 53 24 115 158 75 156 125 150 95 254 60 219 127 22 196 65 114 75 165 148 72 24 26 5 217 170 10 219 144 221 33 234 7 101 9 231 165 179 64 3 84 239 65 84 169 114 6 16 150 48 138 68 96 220 224 59 182 0 232 79 25 240 130 219 28 84 95 41 85 174 102 50 200 17 34 132 199 216 33 25 213 82 6 100 70 176 165 24 48 68 156 44 11 162 77 190 65 10 80 171 178 21 5 225 69 137 177 44 119 83 36 90 149 41 35 31 65 74 84 85 57 131 169 213 76 25 104 84 89 61 165 42 156 101 45 148 217 45 12 230 176 74 69 169 26 162 250 9 213 29 128 27 20 135 121 173 38 200 22 148 210 121 234 2 104 136 174 182 62 5 42 146 88 165 12 106 127 101 162 138 173 239 57 158 156 92 55 144 80 18 188 165 188 109 23 78 187 39 161 216 37 36 228 169 242 84 119 128 188 207 156 94 103 72 141 195 237 170 160 128 234 52 232 102 89 40 150 162 214 195 247 42 170 141 42 136 112 137 58 210 75 9 65 190 41 132 236 70 160 2 180 9 30 98 112 137 12 32 245 152 20 128 5 120 203 96 49 96 167 21 24 41 39 50 212 218 50 74 160 202 116 148 129 23 225 45 199 160 62 212 23 32 85 69 204 200 67 9 43 73 249 112 237 42 184 85 230 60 76 67 157 2 178 76 130 194 12 187 85 74 15 165 130 14 32 101 6 224 198 64 217 19 130 11 200 31 150 197 6 1 207 145 101 60 0 123 121 5 33 170 162 60 176 126 25 31 85 186 14 147 213 129 238 84 57 197 238 191 190 187 139 21 159 0 234 120 186 178 187 62 129 70 183 50 65 118 110 1 250 128 240 60 186 27 180 162 12 88 19 80 108 168 118 215 64 103 59 143 235 12 238 87 233 22 139 174 84 5 168 100 86 181 204 133 74 236 165 160 26 233 130 202 162 240 192 75 252 2 165 203 82 177 220 124 177 83 0 18 252 128 41 144 12 238 109 17 22 192 19 160 104 204 35 87 65 250 50 155 14 19 146 33 152 101 74 58 119 12 41 26 3 65 97 214 136 129 204 66 67 36 7 100 70 189 128 214 112 9 233 41 81 251 232 103 153 105 103 37 3 47 32 158 97 63 48 240 139 85 2 187 25 214 30 246 30 101 104 81 134 132 129 45 68 5 184 203 112 19 220 97 5 64 199 56 11 69 128 219 101 54 91 137 24 211 171 148 254 84 9 91 49 35 51 213 93 185 165 59 117 190 196 138 7 38 32 219 58 236 203 208 219 78 0 222 203 56 63 9 8 215 240 229 25 159 7 214 116 215 81 177 49 181 187 14 187 54 194 189 101 61 118 205 72 62 86 231 250 41 36 153 106 73 47 65 216 18 131 3 47 48 64 64 17 32 136 85 138 228 132 127 9 134 2 70 210 113 120 69 240 1 39 41 65 73 3 59 0 45 137 8 189 4 216 128 26 118 105 3 7 4 134 46 171 109 17 52 144 200 84 171 132 151 79 13 198 146 144 186 71 27 131 92 85 13 46 141 101 89 189 192 134 85 140 38 136 68 195 20 224 71 210 177 8 51 129 172 192 163 4 21 53 147 73 145 44 112 11 232 65 48 184 227 99 15 133 140 19 85 9 2 252 41 113 255 144 162 119 85 244 24 166 50 131 214 116 186 92 134 10 96 23 150 48 186 151 49 134 230 188 243 220 55 172 31 48 82 219 166 184 47 174 102 112 125 154 25 0 198 221 45 79 225 99 0 196 239 78 225 165 162 156 225 189 53 231 75 116 2 94 130 14 37 225 26 112 160 116 137 103 148 169 50 183 8 112 25 161 37 216 26 32 92 134 36 157 9 103 157 97 98 2 168 103 40 0 6 187 20 20 27 201 166 1 162 10 140 48 155 133 93 98 167 66 205 18 40 252 78 8 83 192 34 170 128 71 146 198 100 33 226 129 225 84 43 73 52 20 166 74 137 134 25 20 47 116 21 8 67 134 197 7 32 34 160 144 211 25 18 146 68 198 170 184 66 129 33 63 128 78 234 93 58 10 158 176 198 41 13 2 100 137 77 3 102 9 56 118 250 37 214 45 20 203 48 206 159 128 111 222 249 129 19 120 82 61 113 158 219 13 154 79 101 6 6 78 86 201 182 243 3 3 37 190 150 14 156 44 157 56 137 124 240 107 180 140 241 212 9 176 240 228 64 38 51 64 175 112 15 34 197 198 2 52 89 250 4 131 250 80 166 227 20 4 113 20 253 22 234 80 149 10 67 73 102 72 24 108 195 36 134 12 81 163 60 210 8 19 2 32 82 140 7 167 140 134 168 211 49 98 156 98 237 129 6 84 82 236 14 200 204 18 51 10 170 146 193 80 198 191 18 96 0 176 216 41 138 125 115 146 104 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQUiAllFunctionalTestsLibrary methodsFor: 'accessing' stamp: 'lr 3/7/2009 13:23'!
selectorsToInclude
	^ super selectorsToInclude , #(defaultUiCss)! !

JQWelcomeFunctionalTest subclass: #JQUiWelcomeFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQUiWelcomeFunctionalTest methodsFor: 'rendering' stamp: 'lr 12/27/2008 11:49'!
renderContentOn: html
	super renderContentOn: html.
	self renderQueryUiOn: html! !

!JQUiWelcomeFunctionalTest methodsFor: 'rendering' stamp: 'lr 12/27/2008 11:50'!
renderQueryUiOn: html
	html heading level: 4; with: 'jQuery UI'.
	html paragraph: [
		html anchor
			url: 'http://ui.jquery.com/';
			with: 'jQuery UI'.
		html text: ' provides abstractions for low-level interaction and high-level, themeable widgets, built on top of the jQuery JavaScript Library, that you can use to build highly interactive web applications.' ]! !

!JQUiWelcomeFunctionalTest methodsFor: 'rendering' stamp: 'lr 12/27/2008 11:52'!
renderWelcomeOn: html
	html paragraph: [
		html anchor
			url: 'http://www.seaside.st/';
			with: 'Seaside'.
		html text: ' provides a complete integration of '.
		html anchor
			url: 'http://www.jquery.com/';
			with: 'jQuery'.
		html text: ' and '.
		html anchor
			url: 'http://ui.jquery.com/';
			with: 'jQuery UI'.
		html text: ', allowing the use of these libraries without having to write a single line of JavaScript code. Everything can be configured and plugged together using Smalltalk objects. Try by yourself, by clicking through this functional test suite and by browsing the source-code.' ]! !

JQAllFunctionalTests subclass: #JQUiAllFunctionalTests
	instanceVariableNames: 'themes theme'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQUiAllFunctionalTests class methodsFor: 'accessing' stamp: 'jf 1/11/2010 12:46'!
description
	^ 'jQuery UI Functional Test Suite'! !

!JQUiAllFunctionalTests class methodsFor: 'initialization' stamp: 'lr 2/21/2010 21:10'!
initialize
	| application |
	application := WAAdmin register: self asApplicationAt: 'javascript/jquery-ui'.
	application preferenceAt: #scriptGeneratorClass put: JQScriptGenerator.
	application
		addLibrary: JQDeploymentLibrary;
		addLibrary: JQUiDeploymentLibrary! !

!JQUiAllFunctionalTests methodsFor: 'configuration' stamp: 'lr 12/27/2008 11:51'!
default
	^ JQUiWelcomeFunctionalTest new! !

!JQUiAllFunctionalTests methodsFor: 'initialization' stamp: 'lr 6/12/2009 18:27'!
initialize
	super initialize.
	themes := (JQBaseTheme withAllSubclasses
		collect: [ :each | each default ])
		asSortedCollection: [ :a :b | a themeName < b themeName ].
	theme := JQBaseTheme default! !

!JQUiAllFunctionalTests methodsFor: 'configuration' stamp: 'lr 3/7/2009 16:33'!
menu
	^ #(('http://www.seaside.st/' 'Seaside') ('http://jquery.com/' 'jQuery') ('http://ui.jquery.com/' 'jQuery UI') ('http://docs.jquery.com/UI' 'Documentation'))! !

!JQUiAllFunctionalTests methodsFor: 'rendering' stamp: 'lr 6/12/2009 18:24'!
renderHeaderOn: html
	super renderHeaderOn: html.
	self renderThemeOn: html! !

!JQUiAllFunctionalTests methodsFor: 'rendering' stamp: 'lr 6/12/2009 18:46'!
renderThemeOn: html
	html form id: 'theme'; with: [
		html label: 'Theme: '.
		html select
			list: self themes;
			selected: self theme;
			labels: [ :each | each themeName ];
			callback: [ :value | theme := value ];
			onChange: (html jQuery this
				closest: 'form';
				triggerSubmit) ]! !

!JQUiAllFunctionalTests methodsFor: 'configuration' stamp: 'lr 1/28/2010 18:10'!
tests
	^ Array
		with: 'Interaction' -> (OrderedCollection new
			add: 'Draggable' -> JQDraggableFunctionalTest new;
			add: 'Droppable' -> JQDroppableFunctionalTest new;
			add: 'Resizable' -> JQResizableFunctionalTest new;
			add: 'Selectable' -> JQSelectableFunctionalTest new;
			add: 'Sortable' -> JQSortableFunctionalTest new;
			yourself)
		with: 'Widgets' -> (OrderedCollection new
			add: 'Accordion' -> JQAccordionFunctionalTest new;
			add: 'Autocomplete' -> JQAutocompleteFunctionalTest new;
			add: 'Button' -> JQButtonFunctionalTest new;
			add: 'Datepicker' -> JQDatepickerFunctionalTest new;
			add: 'Dialog' -> JQDialogFunctionalTest new;
			add: 'Progressbar' -> JQProgressbarFunctionalTest new;
			add: 'Slider' -> JQSliderFunctionalTest new;
			add: 'Tabs' -> JQTabsFunctionalTest new;
			yourself)
		with: 'Effects' -> (OrderedCollection new
			add: 'Basic' -> JQEffectFunctionalTest new;
			add: 'Toggle' -> JQToggleFunctionalTest new;
			add: 'Transition' -> JQTransitionFunctionalTest new;
			yourself)
		with: 'Theming' -> (OrderedCollection new
			add: 'Icons' -> JQIconsFunctionalTest new;
			add: 'Visuals' -> JQVisualsFunctionalTest new;
			yourself)! !

!JQUiAllFunctionalTests methodsFor: 'configuration' stamp: 'lr 6/12/2009 18:21'!
theme
	"Answer the currently selected theme."

	^ theme! !

!JQUiAllFunctionalTests methodsFor: 'configuration' stamp: 'lr 6/12/2009 18:22'!
themes
	"Answer a list of all available themes."
	
	^ themes! !

!JQUiAllFunctionalTests methodsFor: 'configuration' stamp: 'lr 10/21/2008 22:04'!
title
	^ 'jQuery UI for Seaside'! !

!JQUiAllFunctionalTests methodsFor: 'updating' stamp: 'jf 1/11/2010 13:08'!
updateRoot: anHtmlRoot
	super updateRoot: anHtmlRoot.
	self theme updateRoot: anHtmlRoot.
	JQUiAllFunctionalTestsLibrary default 
		updateRoot: anHtmlRoot! !

!JQUiAllFunctionalTests methodsFor: 'configuration' stamp: 'lr 10/20/2008 20:29'!
url
	^ 'http://ui.jquery.com/'! !
JQUiAllFunctionalTests initialize!
